<?
/****
 * Auteur      : Damien Seguy
 * Email       : damien.seguy@nexen.net
 * Url      : www.nexen.net/
 * Description : Cette fonction vous indique le type d'un fichier, en fonction
 *de son extension (1800+ extensions supportees).
 *
****/
function file_exts($nom){
//valeurs pour $nom:
 // "tous" : retourne l'integralite du tableau
 // "select" : retourne une liste deroulante
 // : passer l'attribut "name" du select comme deuxieme argument (optionnel)
 // : passer un nom de pays (selected) comme troisieme argument (optionnel)
 // un tableau : traite chaque element du tableau recursivement
 // une chaine: recherche la chaine dans la base
 // si une extension est trouvee, retourne l'extension
 // sinon recherche les descriptions qui contiennent la chaine
 // si rien n'est trouve, retourne une chaine vide.

$exts = array(
'Printer data file for 24 pin matrix printer (LocoScript)'=>'#24',
'Printer data file (LocoScript)'=>'#ib',
'Printer data file (LocoScript)'=>'#sc',
'Standard mode printer definitions (LocoScript)'=>'#st',
'Temporary file'=>'$$$',
'Pipe file (DOS)'=>'$00',
'Temporary file (dBASE IV)'=>'$db',
'Editor temporary file (MS C)'=>'$ed',
'Pipe file (DOS)'=>'$o1',
'Virtual manager temporary file (Windows 3.x)'=>'$vm',
'Compressed harddisk data (DoubleSpace)'=>'000',
'Fax (many)'=>'001',
'75x75 dpi display font (Ventura Publisher)'=>'075',
'85x85 dpi display font (Ventura Publisher)'=>'085',
'91x91 dpi display font (Ventura Publisher)'=>'091',
'96x96 dpi display font (Ventura Publisher)'=>'096',
'Printer font with lineDraw extended character set (PageMaker)'=>'0b',
'Roff/nroff/troff/groff source for manual page (cawf2.zip)'=>'1',
'Printer font with PI font set (PageMaker)'=>'15u',
'Usually README.1ST text'=>'1st',
'Fax (Super FAX 2000 - Fax-Mail 96))'=>'301',
'Intel 80386 processor driver (Windows 3.x)'=>'386',
'Graphics (3D Studio)'=>'3ds',
'Effect (CorelChart)'=>'3fx',
'Data file (Windows Video Grabber)'=>'3gr',
'Binary file converter to ASCII (Util3)'=>'3t4',
'Datafile (4Cast/2)'=>'4c$',
'4dos Swap File'=>'4sw',
'Forth source code file (ForthCMP - LMI Forth)'=>'4th',
'Music (8 channels) (The 669 Composer)'=>'669',
'Music (6 Channel Module) (Triton FastTracker)'=>'6cm',
'A86 assembler source code file'=>'8',
'Music (8 Channel Module) (Triton FastTracker)'=>'8cm',
'Printer font with Math 8 extended character set (PageMaker)'=>'8m',
'Printer font with Roman 8 extended character set (PageMaker)'=>'8u',
'Ada source code file'=>'a',
'Library (unix)'=>'a',
'Graphics AIIM image file'=>'a11',
'Datafile (ABStat)'=>'ab6',
'Datafile (ABStat)'=>'ab8',
'Automatic backup file (CorelDRAW)'=>'abk',
'Abstracts (info file)'=>'abs',
'Data file (Abscissa)'=>'abs',
'Project (Project Manager Workbench)'=>'aca',
'Graphics (ACMB)'=>'acb',
'Program (DR-DOS - ViewMax) (GEM / resident)'=>'acc',
'Actor source code file'=>'act',
'Foxdoc Action Diagrams (FoxPro)'=>'act',
'Presentation (Action!)'=>'act',
'Screen saver data (AfterDark)'=>'ad',
'Ada source code file'=>'ada',
'Ada Package Body'=>'adb',
'Bitmap graphics (16 colors) (Scanstudio)'=>'adc',
'Graphics (AutoCAD)'=>'adi',
'Mca adapter description library (QEMM)'=>'adl',
'Add-in (Lotus 1-2-3)'=>'adn',
'Ada Package Specification'=>'ads',
'Datafile for cardfile application (HP NewWave)'=>'adt',
'Fax (AdTech)'=>'adt',
'Document (Archetype Designer)'=>'adx',
'Flowchart (ABC FlowCharter 2.0)'=>'af2',
'Truevision bitmap graphics'=>'afi',
'Font file (for Allways) (Lotus 1-2-3)'=>'afl',
'Type 1 font metric ASCII data for font installer (ATM - many)'=>'afm',
'Datafile for cardfile application (HP NewWave)'=>'afm',
'Vector graphics (Adobe Illustrator)'=>'ai',
'Compressed file archive created by AIN'=>'ain',
'APL file transfer format file'=>'aio',
'Array of Intensity Samples graphics (Xerox)'=>'ais',
'Datafile for cardfile application (HP NewWave)'=>'aix',
'Format file for working pages (Always)'=>'all',
'General printer information (WordPerfect for Win)'=>'all',
'Symbol and font files (Arts & Letters)'=>'all',
'Menu file (WordPerfect Library)'=>'alt',
'Music (Advanced Module Format)'=>'amf',
'Compressed file archive created by AMGC'=>'amg',
'System image file (Actor)'=>'amg',
'Animation (Presidio - many)'=>'ani',
'Animation (Deluxe Paint Animator)'=>'anm',
'Help Annotations (Windows 3.x)'=>'ann',
'Ansi graphics (character animation)'=>'ans',
'Ascii text ANSI character set (NewWave Write)'=>'ans',
'Add-On Software (Nokia 9000)'=>'aos',
'Compressed Amiga file archive created by WHAP'=>'ap',
'Datafile (Datalex EntryPoint 90)'=>'ap',
'Printer driver (Lotus 1-2-3)'=>'apc',
'Printer driver (Lotus 1-2-3)'=>'apd',
'Printer driver (Lotus 1-2-3)'=>'apf',
'Passed parameter file (1st Reader)'=>'api',
'Printer driver (Lotus 1-2-3)'=>'api',
'APL work space format file'=>'apl',
'Add-in application file (Symphony)'=>'app',
'Application object file (dBASE Application Generator)'=>'app',
'Executable application file (DR-DOS - NeXTstep - Atari)'=>'app',
'Generated application (FoxPro)'=>'app',
'Employee performance review (Employee Appraiser)'=>'apr',
'Appexpert database file (Borland C++ 4.5)'=>'apx',
'Compressed file archive created by ARC (arc602.exe/pk361.exe)'=>'arc',
'Compressed file archive created by SQUASH (squash.arc)'=>'arc',
'Automatic Response File'=>'arf',
'Compressed file archive created by ARI'=>'ari',
'Compressed file archive created by ARJ (arj241.exe)'=>'arj',
'Arc file archive created by CP/M port of ARC file archiver'=>'ark',
'Compressed file archive created by QUARK'=>'ark',
'Arrangement (Atari Cubase)'=>'arr',
'Graphics (scrapbook) (Art Import)'=>'art',
'Raster graphics (First Publisher)'=>'art',
'Compressed file archive created by ARX'=>'arx',
'Ascii text file'=>'asc',
'Transport armor file (PGP)'=>'asc',
'Autosave file (Word for Windows)'=>'asd',
'Presentation (Astound)'=>'asd',
'Screen driver (Lotus 1-2-3)'=>'asd',
'Datafile (STATGRAPHICS)'=>'asf',
'Screen font (Lotus 1-2-3)'=>'asf',
'Assembly language header file (TASM 3.0)'=>'ash',
'Assembler include file (Turbo C - Borland C++)'=>'asi',
'Assembly source code file'=>'asm',
'Assembler object (object orientated) file (Turbo Assembler)'=>'aso',
'Aspect source code file (Procomm Plus)'=>'asp',
'Association of Shareware Professionals OMBUDSMN.ASP notice'=>'asp',
'Auto template (Aldus Persuasion 2.0)'=>'at2',
'Adobe Type Manager data/info'=>'atm',
'Sound (audio) file (SUN Microsystems)'=>'au',
'Auxillary references (TeX/LaTeX)'=>'aux',
'Auxiliary dictionary (ChiWriter)'=>'aux',
'Publication (Avagio)'=>'ava',
'Audio Video Interleaved animation file (Video for Windows)'=>'avi',
'Text file (HP AdvanceWrite)'=>'aw',
'Awk script/program'=>'awk',
'Movie (Animation Works)'=>'awm',
'Data (STATGRAPHICS)'=>'aws',
'Batch list (APPLAUSE)'=>'b',
'Black and white graphics (atari - mac)'=>'b&w',
'Mono binary screen image (1st Reader)'=>'b&w',
'Both mono and color binary screen image (1st Reader)'=>'b1n',
'Printer font (JLaser - Cordata) (Ventura Publisher)'=>'b30',
'Raw graphics (one byte per pixel) plane two (PicLab)'=>'b8',
'Black and white graphics (atari - mac)'=>'b_w',
'Bad file (Oracle)'=>'bad',
'Backup file'=>'bak',
'Music score (Ballade)'=>'bal',
'Horizontal bar menu object file (dBASE Application Generator)'=>'bar',
'Basic source code file'=>'bas',
'Batch file (DOS)'=>'bat',
'Database backup (Papyrus)'=>'bb',
'Bibliographic reference (TeX/BibTeX)'=>'bbl',
'Brush (Deluxe Paint)'=>'bbm',
'Bulletin Board System announce or text info file'=>'bbs',
'Batch process object file (dBASE Application Generator)'=>'bch',
'Datafile (Datalex EntryPoint 90)'=>'bch',
'Outline font description (Bitstream)'=>'bco',
'Borland C++ makefile'=>'bcp',
'Environment settings (Borland C++ 4.5)'=>'bcw',
'Bitmap Distribution Format font file (X11)'=>'bdf',
'Datafile (Egret)'=>'bdf',
'Border (MS Publisher)'=>'bdr',
'Outline font description (Bitstream)'=>'bez',
'Bradford 2 font'=>'bf2',
'Font metrics (unix/Frame)'=>'bfm',
'Fax (BitFax)'=>'bfx',
'Bitmap graphics'=>'bga',
'Borland Graphics Interface device driver'=>'bgi',
'Bibliography (ASCII)'=>'bib',
'Database - not compatible with TeX format (Papyrus)'=>'bib',
'Literature database (TeX/BibTeX)'=>'bib',
'Binary Image Format b&w graphics (Image Capture board)'=>'bif',
'Binary file'=>'bin',
'OS/2 BIOS'=>'bio',
'Bitmap X11'=>'bit',
'Faxbook (JetFax)'=>'bk',
'Document backup (WordPerfect for Win)'=>'bk!',
'Timed backup file for document window 1 (WordPerfect for Win)'=>'bk1',
'Timed backup file for document window 2 (WordPerfect for Win)'=>'bk2',
'Timed backup file for document window 3 (WordPerfect for Win)'=>'bk3',
'Timed backup file for document window 4 (WordPerfect for Win)'=>'bk4',
'Timed backup file for document window 5 (WordPerfect for Win)'=>'bk5',
'Timed backup file for document window 6 (WordPerfect for Win)'=>'bk6',
'Timed backup file for document window 7 (WordPerfect for Win)'=>'bk7',
'Timed backup file for document window 8 (WordPerfect for Win)'=>'bk8',
'Timed backup file for document window 9 (WordPerfect for Win)'=>'bk9',
'Backup file (Write - TurboVidion DialogDesigner)'=>'bkp',
'Mirror image of font set (FontEdit)'=>'bkw',
'Bloadable picture (BASIC)'=>'bld',
'Temporary file (WordPerfect for Win)'=>'blk',
'Bitmap graphics'=>'bm',
'Help Bookmarks (Windows 3.x)'=>'bmk',
'Bitmap graphics (PC Paintbrush - many)'=>'bmp',
'Adlib instrument bank file'=>'bnk',
'Compressed file ASCII archive created by BOO (msbooasm.arc)'=>'boo',
'Chart (Business Plan Toolkit)'=>'bpc',
'Bitmap fills file (CorelDRAW)'=>'bpt',
'Script (Bridge)'=>'br',
'Eagle Layout File'=>'brd',
'Fax (Brooktrout Fax-Mail)'=>'brk',
'Compressed file archive created by BSARC'=>'bsa',
'Compressed Apple II file archive created by BINSCII'=>'bsc',
'Database (Source Browser)'=>'bsc',
'Pwbrmake object file (MS Fortran)'=>'bsc',
'Batch To Memory batch file (4DOS)'=>'btm',
'Bugs and Problems'=>'bug',
'Backup file'=>'bup',
'Button definitions (Buttons!)'=>'but',
'Datafile format (movie)'=>'buy',
'Overflow file below insert point in Doc 1 (WordPerfect for Win)'=>'bv1',
'Overflow file below insert point in Doc 2 (WordPerfect for Win)'=>'bv2',
'Overflow file below insert point in Doc 3 (WordPerfect for Win)'=>'bv3',
'Overflow file below insert point in Doc 4 (WordPerfect for Win)'=>'bv4',
'Overflow file below insert point in Doc 5 (WordPerfect for Win)'=>'bv5',
'Overflow file below insert point in Doc 6 (WordPerfect for Win)'=>'bv6',
'Overflow file below insert point in Doc 7 (WordPerfect for Win)'=>'bv7',
'Overflow file below insert point in Doc 8 (WordPerfect for Win)'=>'bv8',
'Overflow file below insert point in Doc 9 (WordPerfect for Win)'=>'bv9',
'Spreadsheet application (Visual Baler)'=>'bwb',
'Beware (buglist) (Kermit)'=>'bwr',
'C source code file'=>'c',
'Compressed unix file archive created by COMPACT'=>'c',
'C++ source code file'=>'c++',
'Source code (Sphinx C--)'=>'c--',
'Print file (Ventura Publisher)'=>'c00',
'C source code file (Computer Innovation C86)'=>'c86',
'Initial cache data for root domain servers (Telnet)'=>'ca',
'Cabinet File (Microsoft installation archive)'=>'cab',
'Softdesk Drafix CAD File'=>'cad',
'dBASE IV executable when caching on/off (see cachedb.bat)'=>'cac',
'Document (Drafix Windows CAD)'=>'cad',
'Calendar file (Windows 3.x)'=>'cal',
'Spreatsheet (SuperCalc)'=>'cal',
'Fax (Navigator Fax)'=>'can',
'Caption (Ventura Publisher)'=>'cap',
'Session capture file (Telix)'=>'cap',
'Comma-delimited ASCII File'=>'cas',
'Catalog (dBASE IV)'=>'cat',
'Fuzzy logic system (CubiCalc)'=>'cbc',
'Cobol source code file'=>'cbl',
'Compiled bitmap graphics (XLib)'=>'cbm',
'Computer Based Training (many)'=>'cbt',
'C++ source code file'=>'cc',
'Visual Basic Animated Button Configuration'=>'ccb',
'Bitmap graphics (native format) (Curtain Call)'=>'ccc',
'Communications configuration file (Symphony)'=>'ccf',
'Chart (CorelChart)'=>'cch',
'Communication Command Language file (Intalk)'=>'ccl',
'Btx Graphics file (XBTX)'=>'cco',
'Card database (CardScan)'=>'cdb',
'Main database (TCU Turbo C Utilities)'=>'cdb',
'Graphics (netcdf)'=>'cdf',
'Document (Atari Calamus)'=>'cdk',
'Vector graphics (CorelDRAW native format)'=>'cdr',
'Data (CorelDraw 4.0)'=>'cdt',
'Compound index (FoxPro)'=>'cdx',
'Main.ce (The FarSide Computer Calendar)'=>'ce',
'Bitmap graphics (Tempra Show - Edsun Continuous Edge Graphics)'=>'ceg',
'Graphics (Autodesk Animator - Lumena)'=>'cel',
'Configuration file (imake)'=>'cf',
'Configuration'=>'cfg',
'Chart (CorelFLOW)'=>'cfl',
'Font data (Atari Calamus)'=>'cfn',
'C Form Object internal format object file (TCU Turbo C Utilities)'=>'cfo',
'Fax (The Complete Fax Portable)'=>'cfp',
'CGA display font (Ventura Publisher)'=>'cga',
'Common Gateway Interface script'=>'cgi',
'Computer Graphics Metafile vector graphics (A&L - HG - many)'=>'cgm',
'Header file (Clipper 5)'=>'ch',
'Chart (Harvard Graphics 3.0)'=>'ch3',
'Presentation (Charisma 4.0)'=>'ch4',
'Font descriptor (FontChameleon)'=>'chd',
'Document (ChiWriter)'=>'chi',
'Recovered data (ChkDsk)'=>'chk',
'Temporary file (WordPerfect for Win)'=>'chk',
'Configuration History Log'=>'chl',
'Data (Ethnograph 3)'=>'chn',
'Chapter file (Ventura Publisher)'=>'chp',
'Character set (Turbo C - Turbo Pascal)'=>'chr',
'Chart (Harvard Graphics 2.0 - SoftCraft Presenter)'=>'cht',
'Interface file for ChartMaster (dBASE)'=>'cht',
'Caltech Intermediate Format graphics'=>'cif',
'Chapter information (Ventura Publisher)'=>'cif',
'Database index (TCU Turbo C Utilities)'=>'cix',
'Keyboard mapping (Borland C++ 4.5)'=>'ckb',
'Common LISP source code file'=>'cl',
'Clip art graphics (Quattro Pro)'=>'clp',
'Clipboard file (Windows 3.x)'=>'clp',
'Compiler script file (clip list) (Clipper 5)'=>'clp',
'Color binary screen image (1st Reader)'=>'clr',
'Color definitions (Photostyler)'=>'clr',
'C++ class definition file'=>'cls',
'Data file (CraftMan)'=>'cm',
'Batch file (OS/2)'=>'cmd',
'Command (dBASE - Waffle)'=>'cmd',
'External command menu (1st Reader)'=>'cmd',
'FM-music file (Creative Music File)'=>'cmf',
'Card (Card Shop Plus)'=>'cmk',
'Cmm script (batch) file (CEnvi)'=>'cmm',
'Header file for PostScript printer files (CorelDRAW)'=>'cmp',
'User dictionary (MS Word for DOS)'=>'cmp',
'Bitmap graphics (Lead CMP compression)'=>'cmp',
'Animation (CorelMove CorelDraw 4.0)'=>'cmv',
'CNC general program data'=>'cnc',
'Configuration (program - printer setup)'=>'cnf',
'Data conversion support file (Word for Windows)'=>'cnv',
'Temporary file (WordPerfect for Win)'=>'cnv',
'Cobol source code file'=>'cob',
'Datafile (Forecast Plus - MS Multiplan - StatPac Gold)'=>'cod',
'Program compiled code (FORTRAN)'=>'cod',
'Template source file (dBASE Application Generator)'=>'cod',
'Videotext file'=>'cod',
'Color palette (Autodesk Animator - many)'=>'col',
'Spreadsheet (MS Multiplan)'=>'col',
'Command (memory image of executable program) (DOS)'=>'com',
'Configuration file (Simdir)'=>'con',
'Script (Complaints Desk)'=>'cpd',
'Fax (The Complete Fax)'=>'cpf',
'Code Page Information file (DOS)'=>'cpi',
'Colorlab Processed Image bitmap graphics'=>'cpi',
'Control panel file (Windows 3.x)'=>'cpl',
'Presentation (Compel)'=>'cpl',
'C++ source code file'=>'cpp',
'Presentation (CA-Cricket Presents)'=>'cpp',
'Backup of startup files by Central Point PC Tools autoexec.cps'=>'cps',
'coloured postscript files '=>'cps',
'Compressed Mac file archive created by COMPACT PRO (ext-pc.zip)'=>'cpt',
'Encrypted memo file (dBASE)'=>'cpt',
'Template (CA-Cricket Presents)'=>'cpt',
'Music text file (COMPOZ)'=>'cpz',
'Cardfile (Windows 3.x - YourWay)'=>'crd',
'Cross-reference (MS MASM - Zortech C++)'=>'crf',
'Encrypted database (dBASE IV)'=>'crp',
'File Conversion Resource (WordPerfect 5.1)'=>'crs',
'Terminal settings information (Oracle)'=>'crt',
'Compressed file archive created by CRUSH'=>'cru',
'Graph (Statistica/w)'=>'csg',
'Precompiled headers (Borland C++ 4.5)'=>'csm',
'Pc Emcee Screen Image file (Computer Support Corporation)'=>'csp',
'Datafile (CSS - Stats+)'=>'css',
'Datasheet (Statistica/w)'=>'css',
'Comma Separated Values text file format (ASCII)'=>'csv',
'Adjusted EGA/VGA palette (CompuShow)'=>'csv',
'Control file (PC Installer)'=>'ctc',
'Character code translation file (Symphony)'=>'ctf',
'Control file (dBASE IV - Aldus Setup)'=>'ctl',
'Course TeXt file (Microsoft online guides)'=>'ctx',
'Ciphertext file (Pretty Good Privacy RSA System)'=>'ctx',
'C Utilities Form definition (TCU Turbo C Utilities)'=>'cuf',
'Cursor image file (Windows 3.x)'=>'cur',
'Bitmap graphics (Dr. Halo)'=>'cut',
'Color file (CodeView)'=>'cv4',
'Cover page (WinFax)'=>'cvp',
'Graphics (Canvas)'=>'cvs',
'Backup file for CONVERTed database file (dBASE IV)'=>'cvt',
'Color file (CodeView)'=>'cvw',
'C++ source code file (Zortech C++)'=>'cxx',
'Data file in special format or ASCII'=>'dat',
'Configuration (dBASE IV - dBFast)'=>'db',
'Database (Paradox - Smartware)'=>'db',
'Temperature debug info (Clarion Modula-2)'=>'db$',
'Temporary file (dBASE)'=>'db$',
'Database (dBASE II)'=>'db2',
'Database (dBASE III)'=>'db3',
'Datafile (DataEase)'=>'dba',
'Business data (Business Insight)'=>'dbd',
'Debug info (Clarion Modula-2)'=>'dbd',
'Database file (dBASE III/IV - FoxPro - dBFast - DataBoss)'=>'dbf',
'Symbolic debugging information (MS C/C++)'=>'dbg',
'Database backup (dBASE IV)'=>'dbk',
'Datafile (DataEase)'=>'dbm',
'Menu template (DataBoss)'=>'dbm',
'Compiled program (dBASE IV)'=>'dbo',
'Database in SQL Windows format'=>'dbs',
'Datafile (PRODAS)'=>'dbs',
'Printer description file (Word - Works)'=>'dbs',
'Data Base Text (Clipper)'=>'dbt',
'Foxbase+ style memo (FoxPro)'=>'dbt',
'Memo file for database w/same name (dBASE IV - dBFast)'=>'dbt',
'Windows file (DataBoss)'=>'dbw',
'Document Content Architecture text file (IBM DisplayWrite)'=>'dca',
'Disk image file'=>'dcf',
'Data CodePage (OS/2)'=>'dcp',
'Bitmap graphics (CYMK format) (QuarkXPress)'=>'dcs',
'Datafile (ACT! Activity Files)'=>'dcs',
'Database dictionary (Clarion Database Developer)'=>'dct',
'Spell checking dictionary (Harvard Graphics 3.0 - Symphony)'=>'dct',
'Bitmap graphics (Multipage PCX)'=>'dcx',
'Compressed Macintosh file archive created by DISKDOUBLER'=>'dd',
'Bitmap graphics'=>'ddb',
'Diskdupe Image file (ddupe322.zip)'=>'ddi',
'Device Driver Profile file (OS/2)'=>'ddp',
'Debug script (DOS Debug)'=>'deb',
'Assembly header file (Geoworks)'=>'def',
'Defaults - definitions'=>'def',
'Demonstration'=>'dem',
'Graphics (VistaPro)'=>'dem',
'Device driver'=>'dev',
'Data Flow Diagram graphic (Prosa)'=>'dfd',
'Outline font description (Digifont)'=>'dfi',
'Default program settings (Signature)'=>'dfl',
'Data Flow Diagram model file (Prosa)'=>'dfm',
'Delight Sound File'=>'dfs',
'Printing form (Word)'=>'dfv',
'Graphics (MicroStation)'=>'dgn',
'Diagnostics'=>'dgs',
'Dependency information for .ph (Geoworks)'=>'dh',
'Dr. Halo PIC Format graphics (Dr. Halo II - III)'=>'dhp',
'Datafile (Gauss)'=>'dht',
'Diagraph graphics (Computer Support Corporation)'=>'dia',
'Bitmap graphics (Device-Independent Bitmap)'=>'dib',
'Lotus Notes / Domino dictonary file'=>'dic',
'Database (VisiCalc)'=>'dif',
'Output from Diff command - script for Patch command'=>'dif',
'Text file (Data Interchange Format)'=>'dif',
'Graphics'=>'dip',
'Dialing directory file (Procomm Plus)'=>'dir',
'Directory file (VAX)'=>'dir',
'Movie (MacroMind Director 4.x)'=>'dir',
'Distribution file (VAX Mail)'=>'dis',
'Thesaurus (CorelDraw)'=>'dis',
'Description file (Description In Zip)'=>'diz',
'Raytraced graphics (DKBTrace)'=>'dkb',
'Animation (Italian origin)'=>'dl',
'Data (Lotus 1-2-3)'=>'dld',
'Dialog resource script file (MS Windows SDK)'=>'dlg',
'Dynamic Link Library (Windows 3.x - OS/2)'=>'dll',
'Export/import filter (CorelDRAW)'=>'dll',
'Setup (Norton Disklock)'=>'dls',
'Demo (Derive)'=>'dmo',
'Dump file (eg. screen or memory)'=>'dmp',
'Compressed Amiga file archive created by DISKMASHER'=>'dms',
'Document text file'=>'doc',
'Screen file (Laughing Dog Screen Maker)'=>'dog',
'Dependency information for .poh (Geoworks)'=>'doh',
'External command file (1st Reader)'=>'dos',
'Network driver (eg. pkt_dis.dos)'=>'dos',
'Text file containing DOS specific info'=>'dos',
'Line-type definition file (CorelDRAW)'=>'dot',
'Template (Word for Windows)'=>'dot',
'Text file (MultiMate 4.0)'=>'dox',
'Description Out of Zip (VENDINFO)'=>'doz',
'Calendar file (Daily Planner)'=>'dp',
'Data file (DataPhile)'=>'dp',
'Default project- and state-related information (Borland C++)'=>'dpr',
'Display Resource (WordPerfect for Win)'=>'drs',
'Device driver eg. for printer'=>'drv',
'Vector graphics (Micrografx Designer)'=>'drw',
'Vector graphics (Micrografx Designer 4.0)'=>'ds4',
'Discard file (Oracle)'=>'dsc',
'Database (DataShaper)'=>'dsd',
'Project desktop file (Borland C++ - Turbo Pascal)'=>'dsk',
'Digital sound module (DSI)'=>'dsm',
'Design (Object System Designer)'=>'dsn',
'Display parameters (Signature)'=>'dsp',
'Graphics display driver (Dr.Halo)'=>'dsp',
'Driver Resource (WordPerfect for Win)'=>'dsr',
'Screensaver file (DCC)'=>'dss',
'Sound (Digital Soup)'=>'dss',
'Desktop settings (Borland C++ 4.5)'=>'dsw',
'Data fork of a Macintosh file (Mac-ette)'=>'dt_',
'Data file (Turbo Pascal - PC-File - Stata)'=>'dta',
'Database file (PFS - Q&A)'=>'dtf',
'Document (Timeworks Publisher3)'=>'dtp',
'Publication (Publish-It!)'=>'dtp',
'Data (Lotus 1-2-3)'=>'dvc',
'Device Independent document (TeX)'=>'dvi',
'Desqview Program Information file (DESQview)'=>'dvp',
'Device parameter file (AutoCAD)'=>'dvp',
'Drawing (DesignCAD for windows)'=>'dw2',
'Compressed file archive created by DWC (dwc-a501.exe)'=>'dwc',
'Drawing (Drafix)'=>'dwg',
'Drawing database (AutoCAD)'=>'dwg',
'Text file (DEC WPS/DX format - DEC WPS Plus)'=>'dx',
'Drawing Interchange File Format vector graphics (AutoCAD)'=>'dxf',
'Fax (Fujitsu dexNET)'=>'dxn',
'Data (Lotus 1-2-3)'=>'dyn',
'Error-checking object file (Geoworks)'=>'ebj',
'Default settings (VAX Edt editor)'=>'edt',
'Button bar for Equation Editor (WordPerfect for Win)'=>'eeb',
'High resolution screen font (ChiWriter)'=>'eft',
'Fax (Everex EFax)'=>'efx',
'EGA display font (Ventura Publisher)'=>'ega',
'Elisp source code file (Emacs lisp)'=>'el',
'Compiled ELISP code (Emacs lisp)'=>'elc',
'Event list text file (Prosa)'=>'elt',
'Everest Embedded Bank File'=>'emb',
'ABT Extended Module'=>'emd',
'Enchanced Metafile graphics'=>'emf',
'MS Outlook Express Electronic Mail'=>'eml',
'PC Tools Enhanced Menu System Config'=>'ems',
'Terminal emulation data (BITCOM)'=>'emu',
'Encoded file - UUENCODEd file (Lotus 1-2-3 - uuexe515.exe)'=>'enc',
'Music (Encore)'=>'enc',
'Arrow-head definition file (CorelDRAW)'=>'end',
'Dictionary engine (Sprint)'=>'eng',
'Graphics (charting) (EnerGraphics)'=>'eng',
'Enveloper macro (WOPR)'=>'env',
'Environment file (WordPerfect for Win)'=>'env',
'Publication (Express Publisher)'=>'epd',
'Document (Express Publisher)'=>'epi',
'Encapsulated PostScript vector graphics (Adobe Illustrator)'=>'eps',
'Printer font (Epson - Xerox...) (Ventura Publisher)'=>'eps',
'Equation (WordPerfect for Win)'=>'eqn',
'Entity Relationship Diagram graphic file (Prosa)'=>'erd',
'Entity Relationship Diagram model file (Prosa)'=>'erm',
'Error log'=>'err',
'Error messages for command line compilers'=>'err',
'Extended Shell batch file'=>'esh',
'Document (Ethnograph 3)'=>'eth',
'Structure Enhanced (setext) text'=>'etx',
'Event log'=>'evt',
'Document (WordPerfect Envoy)'=>'evy',
'Document (Express Publisher for Windows)'=>'ewd',
'Device driver (Harvard Graphics 3.0)'=>'ex3',
'Rexx source code file (VM/CMS)'=>'exc',
'Exclude file for Optimize (do not process) (QEMM)'=>'exc',
'Directly executable program (DOS)'=>'exe',
'Msdos executable, system-manager compliant (HP calculator)'=>'exm',
'Extension file (Norton Commander)'=>'ext',
'Intermediate file by MsgPut (IBM LinkWay)'=>'exx',
'Fax (Calculus EZ-Fax)'=>'ezf',
'Fortran source code file'=>'f',
'Compressed file archive created by FREEZE'=>'f',
'Fax (perfectfax)'=>'f01',
'Dos screen text font - height 6 pixels (fntcol13.zip)'=>'f06',
'Dos screen text font - height 7 pixels (fntcol13.zip)'=>'f07',
'Dos screen text font - height 8 pixels (fntcol13.zip)'=>'f08',
'Dos screen text font - height 9 pixels (fntcol13.zip)'=>'f09',
'Dos screen text font - height 10 pixels (fntcol13.zip)'=>'f10',
'Dos screen text font - height 11 pixels (fntcol13.zip)'=>'f11',
'Dos screen text font - height 12 pixels (fntcol13.zip)'=>'f12',
'Dos screen text font - height 13 pixels (fntcol13.zip)'=>'f13',
'Dos screen text font - height 14 pixels (fntcol13.zip)'=>'f14',
'Dos screen text font - height 16 pixels (fntcol13.zip)'=>'f16',
'Linear module (music) (Farandole)'=>'f2r',
'Blocked module (music) (Farandole)'=>'f3r',
'Fortran 77 source code file'=>'f77',
'Fax (Frecom FAX96)'=>'f96',
'Face graphics'=>'fac',
'Frequently Asked Questions text file'=>'faq',
'Music'=>'far',
'Fax (raster graphics) (most Fax programs)'=>'fax',
'Spell checking dictionary (Harvard Graphics 2.0)'=>'fc',
'Binary file patch file (forward compression)(jlpak10.zip)'=>'fcm',
'Declaration file (MS Fortran)'=>'fd',
'Field offsets for compiler (DataFlex)'=>'fd',
'Form (F3 Design and Mapping)'=>'fdw',
'Button bar for Figure Editor (WordPerfect for Win)'=>'feb',
'Outline font description (Agfa Compugraphics)'=>'ff',
'Fax (defFax)'=>'fff',
'Dca/FFT Final Form Text text file (DisplayWrite)'=>'fft',
'Vector graphics (Aldus FreeHand 3.x)'=>'fh3',
'Vector graphics (Aldus FreeHand 4.x)'=>'fh4',
'Interface file (MS Fortran)'=>'fi',
'Fractal Image Format file'=>'fif',
'File template (Application Generator)'=>'fil',
'Files list object file (dBASE Application Generator)'=>'fil',
'Overlay (WordPerfect)'=>'fil',
'Print-formatted text file (Perfect Writer - Scribble - MINCE)'=>'fin',
'Fits graphics'=>'fit',
'File Index Table (WindowsNT)'=>'fit',
'Patch file'=>'fix',
'Macro file (FoxPro)'=>'fky',
'Format library (Papyrus)'=>'flb',
'Animation (Autodesk Animator)'=>'flc',
'Folder (Charisma)'=>'fld',
'Tex font library (EmTeX)'=>'fli',
'Animation (Autodesk Animator)'=>'fli',
'Film Roll (AutoCAD/AutoShade)'=>'flm',
'Micrografx FlowCharter'=>'flo',
'Filter file (Micrografx Picture Publisher)'=>'flt',
'Support file (Asymetrix ToolBook) - graphics filter'=>'flt',
'Compiled binary (DataFlex)'=>'flx',
'Spreatsheet (FileMaker Pro)'=>'fm',
'Spreadsheet (Lotus 1-2-3 release 2.x)'=>'fm1',
'Device driver (Harvard Graphics 3.0)'=>'fm3',
'Spreadsheet (Lotus 1-2-3 release 3.x)'=>'fm3',
'File Manager Button bar (WordPerfect for Win)'=>'fmb',
'Font or icon file (IBM LinkWay)'=>'fmf',
'Makefile (Fortran PowerStation)'=>'fmk',
'Compiled format file (dBASE IV)'=>'fmo',
'Format file (dBASE IV - FoxPro - Clipper 5 - dBFast)'=>'fmt',
'Style sheet (Sprint)'=>'fmt',
'Font file (Harvard Graphics 3.0)'=>'fn3',
'Font file (many)'=>'fnt',
'Inactive font (Exact)'=>'fnx',
'Font file (Borland Turbo C)'=>'fo1',
'Font file (Borland Turbo C)'=>'fo2',
'Folder of saved messages (1st Reader)'=>'fol',
'Dialing directory file (Telix)'=>'fon',
'Font file (many - Windows 3.x font library)'=>'fon',
'Log of all calls (Procomm Plus)'=>'fon',
'Fortran source code file'=>'for',
'Form (WindowBase)'=>'for',
'Installed Truetype font (Windows Font Installer)'=>'fot',
'Configuration file (FoxPro)'=>'fp',
'Catalog (FoxPro)'=>'fpc',
'Memo (FoxPro)'=>'fpt',
'Floorplan drawing (FloorPLAN plus for Windows)'=>'fpw',
'Renamed dBASE III+ form file (dBASE IV)'=>'fr3',
'Font (FontMonger)'=>'frf',
'Uncompiled report file (dBASE IV)'=>'frg',
'Form (Visual Basic)'=>'frm',
'Report file (dBASE IV - Clipper 5 - dBFast)'=>'frm',
'Text (order form)'=>'frm',
'Compiled report file (dBASE IV)'=>'fro',
'Form (PerForm PRO Plus - FormFlow)'=>'frp',
'Screen Font Resource (WordPerfect for Win)'=>'frs',
'Report memo (FoxPro)'=>'frt',
'Report (FoxPro)'=>'frx',
'Form (Paradox for Windows)'=>'fsl',
'Farandoyle Sample format music'=>'fsm',
'Linkable program (dBFast)'=>'fst',
'Data (Lotus 1-2-3)'=>'fsx',
'Font file (Micrografx)'=>'ftm',
'Configuration (FTP Software PC/TCP)'=>'ftp',
'Database (FrameWork)'=>'fw',
'Database (Framework II)'=>'fw2',
'Database (Framework III)'=>'fw3',
'On-line guide (FastLynx)'=>'fx',
'Phonebook (FAXit)'=>'fxd',
'Compiled format (FoxPro)'=>'fxp',
'Fax Transmit Format graphics (WinFax)'=>'fxs',
'Data chart (APPLAUSE)'=>'g',
'Raw graphics (one byte per pixel) plane three (PicLab)'=>'g8',
'Fax (GammaFax)'=>'gam',
'Global definitions (VAXTPU editor)'=>'gbl',
'Lisp source code (Golden Common Lisp 1.1)'=>'gc1',
'Lisp source code (Golden Common Lisp 3.1)'=>'gc3',
'Graphics'=>'gcd',
'Dictionary file (GEOS)'=>'gdf',
'Editor&#39;s native file format (Arts & Letters)'=>'ged',
'Graphics editor file (EnerGraphics)'=>'ged',
'Vector graphics (GEM - Ventura Publisher)'=>'gem',
'Compiled template (dBASE Application Generator)'=>'gen',
'Generated text (Ventura Publisher)'=>'gen',
'Geode (Geoworks)'=>'geo',
'Compressed GIF image created by GIFBLAST (gifblast.exe)'=>'gfb',
'Font (NeoPaint)'=>'gft',
'Chart (Graph-in-the-Box)'=>'gib',
'Graphics Interchange Format bitmap graphics (CompuShow)'=>'gif',
'Presentation (Graph-in-the-Box for Windows)'=>'giw',
'Animation (GRASP GRAphical System for Presentation)'=>'gl',
'Datafile (Glim)'=>'glm',
'Datafile (Across)'=>'gls',
'Glossary (MS Word)'=>'gly',
'CGM graphics (APPLAUSE)'=>'gmf',
'Geomorph tile map (SPX)'=>'gmp',
'Goc source code file (Geoworks)'=>'goc',
'Goc header file (Geoworks)'=>'goh',
'Geode parameter file (Geoworks Glue)'=>'gp',
'Graph (Lotus 1-2-3/G)'=>'gph',
'Omnigo program package'=>'gpk',
'Screen driver (Windows 3.x)'=>'gr2',
'Datafile (SigmaPlot)'=>'gra',
'Ms-DOS Shell Monitor file (MS-DOS 5)'=>'grb',
'Graph file (Graph Plus - Charisma)'=>'grf',
'Group file (Windows 3.x - Papyrus)'=>'grp',
'Pictures group (PixBase)'=>'grp',
'Raw GREY graphics'=>'gry',
'Presentation (GraphShow)'=>'gs1',
'Vector graphics (Professional Draw)'=>'gsd',
'Worksheet (GraphShow)'=>'gsw',
'Data (PopMail)'=>'gup',
'Graphics library (Genus)'=>'gxl',
'Compressed file archive created by GZIP (GNU zip)'=>'gz',
'Header file'=>'h',
'On-line help file (Flambeaux Help! Display Engine)'=>'h!',
'Header file (C++)'=>'h++',
'Header file (Sphinx C--)'=>'h--',
'Compressed file archive created by HA (ha098.zip)'=>'ha',
'Compressed file archive created by HAP (hap303re.zip)'=>'hap',
'Handbook (Mathcad)'=>'hbk',
'Hierarchical Data File graphics (SDSC Image Tools)'=>'hdf',
'Help file (Help Development Kit)'=>'hdf',
'Alternate download file listing (Procomm Plus)'=>'hdl',
'Pc-File+ Database header'=>'hdr',
'Datafile (Egret)'=>'hdr',
'Message header text (Procomm Plus - 1st Reader)'=>'hdr',
'Vector graphics (Harvard Draw)'=>'hdw',
'Help index (AutoCAD - Zortech C++)'=>'hdx',
'Hex dump'=>'hex',
'Hp Font Info file (GEM)'=>'hfi',
'Hp Graphics Language graphics'=>'hgl',
'C++ header file'=>'hh',
'Precompiled header file (Power C)'=>'hhh',
'Help information for remote users (Procomm Plus)'=>'hhp',
'Molecule (HyperChem)'=>'hin',
'Help library (VAX)'=>'hlb',
'Help information'=>'hlp',
'Alternate Mail Read option menu (Procomm Plus)'=>'hmm',
'CNC program files Heidenhain (?) dialog'=>'hnc',
'Hall Of Fame (game scores)'=>'hof',
'Ascii text HP Roman8 character set (NewWave Write)'=>'hp8',
'Hp LaserJet fonts (PageMaker)'=>'hpf',
'HPGL plotter file vector graphics (AutoCad - Harvard Graphics)'=>'hpg',
'Font information file (GEM)'=>'hpi',
'Help project (MS Help Compiler)'=>'hpj',
'Compressed file archive created by HPACK (hpack75.zip)'=>'hpk',
'Emm text (HP NewWave)'=>'hpm',
'Alternate Main menu for privileged users (Procomm Plus)'=>'hpm',
'C++ header file (Zortech C++)'=>'hpp',
'Compressed Macintosh ASCII archive created by BINHEX (xbin23.zip)'=>'hqx',
'Graphics (Hitachi Raster Format)'=>'hrf',
'Alternate Main menu for limited/normal users (Procomm Plus)'=>'hrm',
'Monochrome image (Postering)'=>'hs2',
'Handmade Software Inc. graphics - almost JPEG (Image Alchemy)'=>'hsi',
'History file (Procomm Plus)'=>'hst',
'HyperText Markup Language document'=>'htm',
'Hypertext file'=>'htx',
'Presentation (Hollywood)'=>'hwd',
'Alternate Protocol Selection menu for all users (Procomm Plus)'=>'hxm',
'C++ header file'=>'hxx',
'Hyphenation algorithms (Ventura Publisher)'=>'hy1',
'Hyphenation algorithms (Ventura Publisher)'=>'hy2',
'Data (WordPerfect)'=>'hyc',
'Hyphenation dictionary (WordPerfect for Win)'=>'hyd',
'Compressed file archive created by HYPER (hyper25.zip)'=>'hyp',
'Intermediate file (Borland C++ 4.5)'=>'i',
'Bitmap graphics (IBM Image Access eXecutive)'=>'iax',
'Compressed file archive created by ARCHDOS (Internal IBM only)'=>'ibm',
'Bitmap graphics (Image Object Content Architecture)'=>'ica',
'Bitmap graphics'=>'icb',
'icon library'=>'icl',
'Icon source code file'=>'icn',
'Icon (Windows 3.x)'=>'ico',
'Disk identification file'=>'id',
'Project (Borland C++ 4.5)'=>'ide',
'Vector graphics (IntelliDraw)'=>'idw',
'Index (many - FoxPro)'=>'idx',
'Form (JetForm Design)'=>'ifd',
'Interchange File Format bitmap graphics/sound (Amiga)'=>'iff',
'Sun TAAC Image File Format (SDSC Image Tool)'=>'iff',
'Script (KnowledgeMan)'=>'ifp',
'Fractal image compressed file (Yuvpak)'=>'ifs',
'System file (OS/2) hpfs.ifs'=>'ifs',
'Data (Scream Tracker)'=>'ilb',
'Outline of progranns#39;s format (MS ILink incremental linker)'=>'ilk',
'Sun raster graphics'=>'im8',
'Mirage vector graphics (EGO, Chart, Autumn)'=>'ima',
'Bitmap graphics (Ventura Publisher - GEM Paint)'=>'img',
'Spreadsheet (Lotus Improv)'=>'imp',
'Image presentation (ImageQ)'=>'imq',
'Installation file (HP NewWave)'=>'in$',
'Input device driver (Harvard Graphics 3.0)'=>'in3',
'Test script (Vermont HighTest)'=>'inb',
'Include file (several programming languages)'=>'inc',
'Index (dBASE IV)'=>'ind',
'Type 1 LaserJet font information file (soft font installers)'=>'inf',
'Information text file (ASCII)'=>'inf',
'Install script'=>'inf',
'Initialization file'=>'ini',
'Pantone reference fills file (CorelDRAW)'=>'ink',
'Data (WordPerfect)'=>'ins',
'Installation script (1st Reader)'=>'ins',
'Instrument music file (Adlib)'=>'ins',
'Borland Interface Units'=>'int',
'Program saved in Internal (semi-compiled) format (Signature)'=>'int',
'Index (Foxbase)'=>'inx',
'Compressed file archive created by CPIO'=>'io',
'3d graphics database in TDDD format'=>'iob',
'Organizational chart (Instant ORGcharting!)'=>'ioc',
'4dos descript.ion file (file descriptions)'=>'ion',
'Pantone Spot reference palette file (CorelDRAW)'=>'ipl',
'Resource (WordPerfect)'=>'irs',
'Spelling Checker dictionary (RapidFile)'=>'isd',
'Compressed file archive created by ISH'=>'ish',
'ISO-9660 table'=>'iso',
'Settings (intalk)'=>'it',
'Interface file (JPI TopSpeed Pascal)'=>'itf',
'Presentation flowchart (IconAuthor - HSC InterActive)'=>'iw',
'Text file (IBM Writing Assistant)'=>'iwa',
'Text file (Wang)'=>'iwp',
'Izl binary token file (IZL)'=>'izt',
'Graphics'=>'jas',
'Java source code file'=>'jav',
'Datafile (SigmaScan)'=>'jbd',
'Project file (Project Scheduler 4)'=>'jbx',
'Fax (Hybrid JetFax)'=>'jet',
'Bitmap graphics (JPEG File Interchange Format)'=>'jff',
'Journal file SQL'=>'jor',
'Journal backup (VAX Edt editor)'=>'jou',
'Graphics (Japan PIC)'=>'jpc',
'Bitmap graphics (Joint Photography Experts Group)'=>'jpg',
'Fax (Hayes JT Fax)'=>'jtf',
'Bitmap graphics (JPEG Tagged Interchange Format)'=>'jtf',
'Text document (JustWrite)'=>'jw',
'Library (JustWrite)'=>'jwl',
'Spreatsheet (Jazz)'=>'jzz',
'Midi file with karaoke word track'=>'kar',
'Keyboard script (Borland C++ 4.5)'=>'kb',
'Program source (Knowledge Pro)'=>'kb',
'Keyboard mapping (LocoScript - Signature - Procomm Plus)'=>'kbd',
'Keyboard mapping (Reflection 4.0)'=>'kbm',
'Lisp source code (Kyoto Common Lisp)'=>'kcl',
'Macro (KEDIT)'=>'kex',
'Datafile (Forecast Pro)'=>'key',
'Keyboard macros'=>'key',
'Security file eg. Shareware Registration info'=>'key',
'Toolpad (SmartPad)'=>'kpp',
'Ibm KIPS bitmap graphics'=>'kps',
'Keyboard mapping (FTP Software PC/TCP)'=>'kyb',
'Lex source code file'=>'l',
'Lisp source code file'=>'l',
'Linker directive file (WATCOM wlink)'=>'l',
'Datafile (NCSS - SOLO)'=>'lab',
'Mailing labels (Q+E for MS Excel)'=>'lab',
'Word chart layout (APPLAUSE)'=>'lay',
'Label generator data (dBASE IV)'=>'lbg',
'Label (dBASE IV - Clipper 5 - dBFast)'=>'lbl',
'Bitmap graphics (DeluxePaint)'=>'lbm',
'Linear bitmap graphics (XLib)'=>'lbm',
'Compiled label (dBASE IV)'=>'lbo',
'Compressed file archive created by LU (lue220.arc)'=>'lbr',
'Display driver (Lotus 1-2-3)'=>'lbr',
'Label memo (FoxPro)'=>'lbt',
'Label (FoxPro)'=>'lbx',
'Linker Control File (Norton Guides compiler)'=>'lcf',
'Lockfile (Paradox)'=>'lck',
'Data (FTP Software PC/TCP)'=>'lcl',
'Lection (WordPerfect)'=>'lcn',
'Datafile (ACT! History Files)'=>'lcs',
'Spreadsheet (Lucid 3-D)'=>'lcw',
'Long Distance codes file (Telix)'=>'ld',
'Overlay file (dBASE)'=>'ld1',
'Data (MS Access)'=>'ldb',
'Library definition file (Geoworks Glue)'=>'ldf',
'Lesson (check *.cbt)'=>'les',
'Level file (NetHack 3.x)'=>'lev',
'Lexicon (dictionary) (many)'=>'lex',
'Laser printer font (ChiWriter)'=>'lft',
'Logo procedure definitions (LSRHS Logo)'=>'lg',
'Logo for header and footer (SuperFax)'=>'lgo',
'Startup logo code (Windows 3.x)'=>'lgo',
'Compressed file archive created by LHA/LHARC (lha255b.exe)'=>'lha',
'Compressed Amiga file archive created by LHWARP'=>'lhw',
'Library file (several programming languages)'=>'lib',
'Logical Interchange Format data file (Hewlett-Packard)'=>'lif',
'Compressed file archive'=>'lif',
'Compressed file archive created by LIMIT (limit12.zip)'=>'lim',
'Line types (AutoCAD)'=>'lin',
'Listing (VAX)'=>'lis',
'Text file for HP LJ II printer'=>'lj',
'Laplink III related file (document) (LapLink III)'=>'ll3',
'Linker response file (.RTLink)'=>'lnk',
'Load file'=>'lod',
'Log file'=>'log',
'Printer driver (TEKO)'=>'lpc',
'Linker response file (MS C/C++)'=>'lrf',
'Language Resource File (WordPerfect for Win)'=>'lrs',
'Lotus Script Library'=>'lsl',
'Lisp source code file (Xlisp)'=>'lsp',
'Spreadsheet (Legato)'=>'lss',
'Keyboard macro (1st Reader)'=>'lst',
'List file (archive index - compiler listfile)'=>'lst',
'Spool file (Oracle)'=>'lst',
'Form (Lotus Forms)'=>'ltm',
'Text document (LotusWorks)'=>'lwd',
'Lotus Wordpro 96/97 File'=>'lwp',
'MS Linguistically Enhanced Sound File'=>'lwz',
'DataCAD Layer File'=>'lyr',
'Difference file for binaries (Ldiff 1.20)'=>'lzd',
'Compressed file archive created by LHA/LHARC (lha255b.exe)'=>'lzh',
'Compressed file archive created by LARC (larc333.zip)'=>'lzs',
'Compressed Amiga file archive created by LHWARP'=>'lzw',
'Compressed File'=>'lzx',
'Function (program) (Matlab)'=>'m',
'Macro module (Brief)'=>'m',
'Standard package (Mathematica)'=>'m',
'Text file (MASS11)'=>'m11',
'Modula 3 source code file'=>'m3',
'3d animation macro'=>'m3d',
'M4 preprocessor file (unix)'=>'m4',
'Backup of boot sector, FAT and boot dir (MazeGold)'=>'m_u',
'Macro (Harvard Graphics 3.0)'=>'ma3',
'Bitmap graphics (Macintosh MacPaint)'=>'mac',
'Macro'=>'mac',
'Woody Lynnns#39;s MAG graphics format (MPS Magro Paint System)'=>'mag',
'Mail (VAX)'=>'mai',
'Makefile'=>'mak',
'Project file (Visual Basic)'=>'mak',
'Command manual'=>'man',
'Color palette'=>'map',
'Format data (Micrografx Picture Publisher)'=>'map',
'Linker map file'=>'map',
'Map (Atlas MapMaker)'=>'map',
'Network map (AccView)'=>'map',
'Assembly program (VAX Macro)'=>'mar',
'Smartmaster set (Freelance Graphics)'=>'mas',
'Data file (Matlab)'=>'mat',
'Max source code file'=>'max',
'Memo field values for database (Paradox)'=>'mb',
'Multiple index file backup (dBASE IV)'=>'mbk',
'Mailbox (Eudora/Zerberus)'=>'mbx',
'Configuration file (Mathcad)'=>'mcc',
'Document (Mathcad)'=>'mcd',
'Font file (Mathcad)'=>'mcf',
'Mci command script (Media Control Interface)'=>'mci',
'Application script (Capsule)'=>'mcp',
'Printer driver (Mathcad)'=>'mcp',
'Text file (MacWrite II)'=>'mcw',
'Compressed file archive created by MDCD (mdcd10.arc)'=>'md',
'Data (MS Access)'=>'mda',
'Database (MS Access)'=>'mdb',
'Model (3D Design Plus)'=>'mdl',
'Spreadsheet (CA-Compete!)'=>'mdl',
'Modem definition (TELIX)'=>'mdm',
'Data table (MS ILink incremental linker)'=>'mdt',
'Multiple index file (dBASE IV)'=>'mdx',
'Usually ASCII text file READ.ME'=>'me',
'Macro Editor bottom overflow file (WordPerfect Library)'=>'meb',
'Macro Editor delete save (WordPerfect Library)'=>'med',
'Music (OctaMED)'=>'med',
'Macro Editor macro (WordPerfect Library)'=>'mem',
'Memory variable save file (Clipper - dBASE IV - FoxPro)'=>'mem',
'Macro Editor print queue file (WordPerfect Library)'=>'meq',
'Macro Editor resident area (WordPerfect Library) (vakioalue)'=>'mer',
'Macro Editor work space file (WordPerfect Library)'=>'mes',
'Message'=>'mes',
'Macro Editor top overflow file (WordPerfect Library)'=>'met',
'Document (Omnipage Pro)'=>'met',
'Menu group (DOS Shell)'=>'meu',
'Mex file (executable command) (Matlab)'=>'mex',
'Macro Editor expound file (WordPerfect Library)'=>'mex',
'Metafont text file'=>'mf',
'Font (Micrografx)'=>'mgf',
'MS MHTML Document'=>'mht  ',
'Snmp MIB file'=>'mib',
'Standard MIDI file (music synthetizers)'=>'mid',
'Maker Interchange Format (FrameMaker)'=>'mif',
'Datafile (MicroStat-II)'=>'mii',
'Object file (Power C)'=>'mix',
'Makefile'=>'mk',
'Makefile (MS Windows SDK)'=>'mke',
'Japanese graphics MAKIchan format (MagView 0.5)'=>'mki',
'Data (TACT)'=>'mks',
'Project (Milestones 3.x)'=>'ml3',
'Macro library file (Symphony)'=>'mlb',
'Text file (MultiMate Advantage II)'=>'mm',
'Mail message file (MS Mail)'=>'mmf',
'Movie (RIFF RMMP format) (MacroMind Director 3.x)'=>'mmm',
'Memo writer file (RapidFile)'=>'mmo',
'Output video format from Bravado board'=>'mmp',
'Menu source (AutoCAD Menu Compiler)'=>'mnd',
'Map (DeLorme Mapp&#39;n&#39;Go)'=>'mng',
'Menu memo (FoxPro)'=>'mnt',
'Advanced macro (HP NewWave)'=>'mnu',
'Menu (AutoCAD Menu Compiler - Norton Commander - Signature)'=>'mnu',
'Compiled menu (AutoCAD)'=>'mnx',
'Menu (FoxPro)'=>'mnx',
'Account book (MS Money)'=>'mny',
'Device definition (PEN Windows)'=>'mob',
'Modula-2 source code file (Clarion Modula-2)'=>'mod',
'Windows kernel module'=>'mod',
'Music (FastTracker - many)'=>'mod',
'Monitor description (ReadMail)'=>'mon',
'Movie (AutoCAD AutoFlix)'=>'mov',
'Mpeg audio file (xing)'=>'mp2',
'Calender file (MS Project)'=>'mpc',
'Mpeg animation'=>'mpg',
'Mathplan macro (WordPerfect Library)'=>'mpm',
'Project file (MS Project)'=>'mpp',
'Generated program (FoxPro)'=>'mpr',
'Bitmap graphics (Multipage TIFF)'=>'mpt',
'View file (MS Project)'=>'mpv',
'Compiled menu program (FoxPro)'=>'mpx',
'Multiple Resolution Bitmap graphics (MS C/C++)'=>'mrb',
'Macro Resource file (WordPerfect for Win)'=>'mrs',
'Microsoft C makefile'=>'msc',
'Message'=>'msg',
'Bitmap graphics (Microsoft Paint)'=>'msp',
'Manuscript text file (Perfect Writer - Scribble - MINCE - Jove)'=>'mss',
'Minispecification file (Prosa)'=>'mst',
'Setup script (MS Windows SDK)'=>'mst',
'Text file (MS Word)'=>'msw',
'Compressed CP/M file archive created by MSX'=>'msx',
'Math file (Derive)'=>'mth',
'Multitracker Module music'=>'mtm',
'Datafile (Minitab)'=>'mtw',
'Menu (Quattro Pro)'=>'mu',
'Sound file (MusicTime)'=>'mus',
'Stop frame file (AutoCAD AutoFlix)'=>'mvf',
'Movie command file (AutoCAD AutoFlix)'=>'mvi',
'Log file (Saber LAN)'=>'mvw',
'Animation (ProMotion)'=>'mwf',
'Data (MS C)'=>'mxt',
'Presentation (MM Make Your Point)'=>'myp',
'Naplps file (VideoShow) (EnerGraphics)'=>'nap',
'Text file (Nota Bene)'=>'nb',
'Graphics (netcdf)'=>'nc',
'Instructions for NC (Numerical Control) machine (CAMS)'=>'nc',
'Cnc (Computer Numeric Control) control file (CamView 3D)'=>'ncc',
'Norton Change Directory support file (Norton Commander)'=>'ncd',
'Network database (Intellicom - Compex)'=>'ndb',
'Index file (dBASE II - III - IV - dBFast)'=>'ndx',
'Raster graphics (Atari Neochrome)'=>'neo',
'Network configuration/info file'=>'net',
'New info'=>'new',
'Info file'=>'nfo',
'Online documentation database (Norton Guide)'=>'ng',
'Netware Loadable Module'=>'nlm',
'Form (FormWorx 3.0)'=>'nlx',
'Project schedule (Nokia Planner) (Visual Planner 3.x)'=>'np',
'Source for DGEN.EXE intepreter (dBASE Application Generator)'=>'npi',
'Lotus Notes / Domino database'=>'nsf',
'Music (NoiseTracker)'=>'nst',
'Startup files (Windows NT)'=>'nt',
'Lotus Notes / Domino template file'=>'ntf',
'Executable ASCII text file (strip header and rename)
(netrun31.zip)'=>'ntr',
'Tutorial (Norton)'=>'nts',
'Executable ASCII text file (strip header and rename)
(netsend1.zip)'=>'nts',
'Index (Clipper 5)'=>'ntx',
'Message for new users on their 1st call (Procomm Plus)'=>'nuf',
'Info text file (latest news) (ASCII)'=>'nws',
'Sound (NeXT format)'=>'nxt',
'Object file (unix - Atari - GCC)'=>'o',
'Outfile (Sprint)'=>'o$$',
'Fax (NetFax Manager)'=>'oaz',
'Object cut/paste file (IBM LinkWay)'=>'ob',
'Object code (Intel Recolatable Object Module)'=>'obj',
'Object browser data file (Borland C++)'=>'obr',
'Script (ObjectScript)'=>'obs',
'Visual interface (ObjectScript)'=>'obv',
'Object Craft File (Object Craft)'=>'ocf',
'Incoming fax transcribed to text (FAXGrapper)'=>'ocr',
'OLE custom control'=>'ocx',
'Type library source (Visual C++)'=>'odl',
'Form definition (ObjectView)'=>'ofd',
'Object File Format vector graphics'=>'off',
'Music (Oktalizer)'=>'okt',
'Object library (VAX)'=>'olb',
'Backup file'=>'old',
'Text file (Olivetti)'=>'oli',
'Swap file (Shroom)'=>'oom',
'Active options (Exact)'=>'opn',
'Optimize support file (QEMM)'=>'opt',
'Organization chart (Org Plus for Windows)'=>'opw',
'Inactive options (Exact)'=>'opx',
'Parameter file (Oracle)'=>'ora',
'Calendar file (Lotus Organizer)'=>'org',
'Microsoft Outlook Offline file'=>'ost',
'Outline font description (Z-Soft Type Foundry)'=>'otl',
'Text file (Olivetti Olitext Plus)'=>'otx',
'Output file'=>'out',
'Overlay file (part of program to be loaded when needed)'=>'ov1',
'Overlay file (part of program to be loaded when needed)'=>'ov2',
'Datafile (ObjectVision)'=>'ovd',
'Overlay file (part of program to be loaded when needed)'=>'ovl',
'Overlay file (part of program to be loaded when needed)'=>'ovr',
'Pascal source code file'=>'p',
'Rea-C-Time application parameter file (ReaGeniX code generator)'=>'p',
'Picture file (APPLAUSE)'=>'p',
'Music (16 channels) (ProTracker Studio 16)'=>'p16',
'Patch file (Patch22)'=>'p22',
'Adobe Pagemaker v6.5'=>'p65',
'Worktable (PageAhead)'=>'pa1',
'Microsoft Outlook personal address book'=>'pab',
'Stad Image (graphics ?)'=>'pac',
'Package (SBStudio II)'=>'pac',
'Keypad definition (Telemate)'=>'pad',
'Compressed file archive created by PAK (pak251.exe)'=>'pak',
'Color palette'=>'pal',
'Printer-specific file (copy to coreldrw.ink) (CorelDRAW)'=>'pan',
'Parts application (Digitalk PARTS)'=>'par',
'Parameter file (Fractint)'=>'par',
'Permanent output file (Windows 3.x)'=>'par',
'Pascal source code file'=>'pas',
'Hatch patterns (AutoCAD - Photostyler)'=>'pat',
'Vector fill files (CorelDRAW)'=>'pat',
'Fax (FAXability Plus)'=>'pb',
'Phonebook (WinFax Pro)'=>'pb',
'Setup file (PixBase)'=>'pb',
'Document (First Publisher for Windows)'=>'pb1',
'Powerbasic BASIC source code (Genus)'=>'pba',
'Phone book (FaxNOW! - Faxit)'=>'pbd',
'Powerbasic include file (Genus)'=>'pbi',
'Profiler Binary Input (MS Source Profiler)'=>'pbi',
'Powerbasic library (Genus)'=>'pbl',
'Pbm Portable Bit Map graphics'=>'pbm',
'Planar bitmap graphics (XLib)'=>'pbm',
'Profiler Binary Output (MS Source Profiler)'=>'pbo',
'Profiler Binary Table (MS Source Profiler)'=>'pbt',
'Text file containing IBM PC specific info'=>'pc',
'Custom palette (Harvard Graphics 3.0)'=>'pc3',
'Ascii text IBM8 character set (NewWave Write)'=>'pc8',
'Cutout picture vector graphics (PC Paintbrush)'=>'pcc',
'Graphics (Kodak PhotoCD)'=>'pcd',
'Profiler Command File (MS Source Profiler)'=>'pcf',
'Patch file'=>'pch',
'Precompiled header (MS C/C++)'=>'pch',
'Multimedia authoring tool graphics (IBM&#39;s Linkaway-Live)'=>'pcj',
'Pickfile (Turbo Pascal)'=>'pck',
'HP-PCL graphics data (HP Printer Control Language)'=>'pcl',
'Bitmap graphics (Macintosh b&w PICT1 - color PICT2)'=>'pct',
'Text file (PC Write)'=>'pcw',
'Bitmap graphics (PC Paintbrush)'=>'pcx',
'Bitmap graphics'=>'pda',
'Data (TACT)'=>'pdb',
'Adobe PhotoDeluxe Image'=>'pdd',
'Package Definition File'=>'pdf',
'Graphics file (ED-SCAN 24bit format)'=>'pdf',
'Project Description Language file (Borland C++ 4.5)'=>'pdl',
'Pds graphics'=>'pds',
'Pldasm source code file (hardware assembly)'=>'pds',
'Printer driver (Paintbrush)'=>'pdv',
'Document (Professional Draw)'=>'pdw',
'Program Editor bottom overflow file (WordPerfect Library)'=>'peb',
'Program Editor delete save (WordPerfect Library)'=>'ped',
'Program Editor macro (WordPerfect Library)'=>'pem',
'Program Editor print queue file (WordPerfect Library)'=>'peq',
'Program Editor resident area (WordPerfect Library) (vakioalue)'=>'per',
'Program Editor work space file (WordPerfect Library)'=>'pes',
'Program Editor top overflow file (WordPerfect Library)'=>'pet',
'Type 3 font file (unhinted PostScript font)'=>'pfa',
'Type 1 font file'=>'pfb',
'Text file (First Choice)'=>'pfc',
'Programmable function keys (XTreePro)'=>'pfk',
'Windows Type 1 font metric file'=>'pfm',
'Database (PFS:FILE) - text file (PFS:Write)'=>'pfs',
'Printer font (ChiWriter)'=>'pft',
'Page cut/paste file (IBM LinkWay)'=>'pg',
'Printer Graphics File device driver (PGRAPH library)'=>'pgi',
'Portable Grayscale bitMap graphics'=>'pgm',
'Program (Signature)'=>'pgm',
'Support file (Pretty Good Privacy RSA System)'=>'pgp',
'Manual page (man4dos)'=>'pgs',
'Optimized .goh file (Geoworks)'=>'ph',
'Perl header file'=>'ph',
'Phrase-table (MS C/C++)'=>'ph',
'Phone list (UltraFax - QmodemPro)'=>'phn',
'Phone database (Metz Phone for Windows)'=>'pho',
'Phrases (LocoScript)'=>'phr',
'Pixar picture file (SDSC Image Tool)'=>'pic',
'Bitmap graphics (Macintosh b&w PICT1 - color PICT2)'=>'pic',
'Bitmap graphics (many eg. Lotus 1-2-3 - PC Paint)'=>'pic',
'Program Information File (Windows 3.x)'=>'pif',
'Vector graphics GDF format (IBM mainframe computers)'=>'pif',
'Compressed Mac file archive created by PACKIT (unpackit.zoo)'=>'pit',
'Alias image file (SDSC Image Tool)'=>'pix',
'Project (CA-SuperProject)'=>'pj',
'Project memo (FoxPro)'=>'pjt',
'Project (FoxPro)'=>'pjx',
'Packed bitmap font bitmap file (TeX DVI drivers)'=>'pk',
'Compressed file archive created by PKARC'=>'pka',
'Installer script (Next)'=>'pkg',
'Fidonet packet'=>'pkt',
'Perl source code file'=>'pl',
'Prolog source code file'=>'pl',
'Property List font metric file (TeX)'=>'pl',
'Palette (Harvard Graphics)'=>'pl',
'Room plan (3D Home Architect)'=>'pl1',
'Chart palette (Harvard Graphics 3.0)'=>'pl3',
'Library (FoxPro)'=>'plb',
'Add-in file (functions - macros - applications) (Lotus 1-2-3)'=>'plc',
'Pre-linked library (Clipper 5)'=>'pll',
'Spreadsheet (WordPerfect for Win)'=>'pln',
'Hpgl plotter file vector graphics (AutoCAD)'=>'plt',
'Palette'=>'plt',
'Pre-linked transfer file (Clipper 5)'=>'plt',
'Data (PopMail)'=>'ply',
'Presentation screen (Harvard Spotlight)'=>'ply',
'Bitmap graphics (Presentation Manager)'=>'pm',
'Document (PageMaker 3)'=>'pm3',
'Document (PageMaker 4)'=>'pm4',
'Document (PageMaker 5)'=>'pm5',
'Graphics (A4TECH Scanner)'=>'pmc',
'Program file (Amaris BTX/2)'=>'pmm',
'Printer device driver (Harvard Graphics 3.0)'=>'pn3',
'Bitmap graphics (Portable Network Graphics)'=>'png',
'Pbm Portable aNy Map (PNM) graphics'=>'pnm',
'Macintosh painting'=>'pnt',
'Qwk reader pointer file (MarkMail 2.x)'=>'pnt',
'Optimized .goh file (Geoworks)'=>'poh',
'Messages index (PopMail)'=>'pop',
'Pop-up menu object (dBASE Application Generator)'=>'pop',
'Raytraced graphics image (Persistence Of Vision)'=>'pov',
'Chord chart (PowerChords)'=>'pow',
'Compressed Amiga file archive created by POWERPACKER'=>'pp',
'Button bar for Print Preview (WordPerfect for Win)'=>'ppb',
'Polaroidpaletteplus ColorKey device driver (Harvard Graphics 3.0)'=>'ppl',
'Portable Pixel Map graphics'=>'ppm',
'Pre-processor output (Clipper 5)'=>'ppo',
'Publication (PagePlus)'=>'ppp',
'Storyboard (Personal Producer)'=>'pps',
'General file extension (PowerPoint)'=>'ppt',
'Presentation (Aldus Persuasion 2.x)'=>'pr2',
'Printer driver (dBASE IV)'=>'pr2',
'Postscript printer driver (dBASE IV)'=>'pr3',
'Presentation (Aldus Persuasion 3.x)'=>'pr3',
'Printer driver (many)'=>'prd',
'Presentation (Freelance Graphics)'=>'pre',
'Settings (Programmerr&#39;s WorkBench - MS C/C++)'=>'pre',
'Pixel Run Format graphics (Improces - Fastgraph)'=>'prf',
'Printer driver (dBASE IV)'=>'prf',
'Profiler output'=>'prf',
'Program (Atari)'=>'prg',
'Program source (dBASE IV - FoxPro - Clipper 5 - dBFast)'=>'prg',
'Printer definitions (LocoScript)'=>'pri',
'Project'=>'prj',
'Parameters'=>'prm',
'Printer driver (Signature)'=>'prn',
'Text file (Lotus 1-2-3 - Symphony)'=>'prn',
'Prolog source code file'=>'pro',
'Graphics profile file (DOS)'=>'pro',
'Printer Resource eg. fonts (WordPerfect for Win)'=>'prs',
'Presentation (Harvard Graphics Win)'=>'prs',
'Procedure (dBASE IV)'=>'prs',
'Printer driver (Dr.Halo)'=>'prt',
'Compiled program (FoxPro)'=>'prx',
'Postscript file (text/graphics) (ASCII)'=>'ps',
'Graphics (Photoshop 3.0)'=>'psd',
'Bitmap graphics (IBM printer Page SEgment)'=>'pse',
'Outline PostScript printer font (ChiWriter)'=>'psf',
'Music (MASI - ProTracker)'=>'psm',
'Symbol table of IDE (Turbo Pascal)'=>'psm',
'Procedure (Prodea Synergy)'=>'psp',
'Microsoft Outlook personal folder'=>'pst',
'Device driver (Harvard Graphics 3.0)'=>'pt3',
'Template (PageMaker 3)'=>'pt3',
'Template (PageMaker 4)'=>'pt4',
'Script (PubTech BatchWorks)'=>'ptb',
'Macro (PubTech BatchWorks)'=>'ptm',
'Qwk reader pointer file (QMail)'=>'ptr',
'Page template (MS Publisher)'=>'pub',
'Public key ring file (Pretty Good Privacy RSA System)'=>'pub',
'Publication (Ventura Publisher - 1st Publisher)'=>'pub',
'Compressed file archive created by PUT (put334.zip)'=>'put',
'Script (Instalit)'=>'pvd',
'Library (Instalit)'=>'pvl',
'Local Fidonet pointlist'=>'pvt',
'Text file (Professional Write)'=>'pw',
'Password List'=>'pwl',
'Text document (Professional WritePlus)'=>'pwp',
'Primary database index (Paradox)'=>'px',
'Python script file'=>'py',
'Compiled PYTHON script file'=>'pyc',
'Default settings (Pizazz Plus)'=>'pzd',
'Overlay file (Pizazz Plus)'=>'pzo',
'Palette (Pizazz Plus)'=>'pzp',
'Settings (Pizazz Plus)'=>'pzs',
'Transfer file (Pizazz Plus)'=>'pzt',
'Swap file (Pizazz Plus)'=>'pzx',
'Quick Access Group (Norton Desktop)'=>'qag',
'Application (Omnis Quartz)'=>'qap',
'Saved query (Query By Example) (dBASE IV - Quattro Pro)'=>'qbe',
'Compiled query (dBASE IV)'=>'qbo',
'Spreadsheet (QuickBooks for Windows)'=>'qbw',
'Data file - segment 10 (Omnis Quartz)'=>'qd0',
'Data file - segment 1 (Omnis Quartz)'=>'qd1',
'Data file - segment 2 (Omnis Quartz)'=>'qd2',
'Data file - segment 3 (Omnis Quartz)'=>'qd3',
'Data file - segment 4 (Omnis Quartz)'=>'qd4',
'Data file - segment 5 (Omnis Quartz)'=>'qd5',
'Data file - segment 6 (Omnis Quartz)'=>'qd6',
'Data file - segment 7 (Omnis Quartz)'=>'qd7',
'Data file - segment 8 (Omnis Quartz)'=>'qd8',
'Data file - segment 9 (Omnis Quartz)'=>'qd9',
'Backup of startup files created by Optimize (QEMM)'=>'qdk',
'Graphics (Steve Blackstock Giffer)'=>'qdv',
'Query file (Q+E for MS Excel)'=>'qef',
'Fax (QuickLink)'=>'qfx',
'Quick library (MS C/C++)'=>'qlb',
'Data (PostScript help file) atmfonts.qlc'=>'qlc',
'Printer driver (QuickLink)'=>'qlp',
'Options or services file (QMail 4.x Mail Door)'=>'qm4',
'Generated query program (FoxPro)'=>'qpr',
'Print queue device driver (OS/2)'=>'qpr',
'Compiled query program (FoxPro)'=>'qpx',
'Equation Editor support file (WordPerfect for Win)'=>'qrs',
'Qrt ray tracing graphics'=>'qrt',
'Query (dBASE IV)'=>'qry',
'Quicktime movie (animation)'=>'qt',
'Qwk reader message file'=>'qwk',
'Document (QuarkXPress)'=>'qxd',
'Element library (QuarkXPress)'=>'qxl',
'Ratfor (FORTRAN preprosessor) file'=>'r',
'Raw graphics (one byte per pixel) plane one (PicLab)'=>'r8',
'Pcl 4 bitmap font file (Intellifont)'=>'r8p',
'Music (RealAudio)'=>'ra',
'Ramfile (RealAudio)'=>'ram',
'Compressed file archive created by RAR (rar1_402.exe)'=>'rar',
'Sun Rasterfile graphics'=>'ras',
'Datafile (RATS)'=>'rat',
'Raw RGB 24-bit graphics'=>'raw',
'Datafile (Rbase)'=>'rbf',
'Resource script (MS C/C++ - Borland C++)'=>'rc',
'Configuration (emacs)'=>'rc',
'Netscape newsgroup file (netsc.rcg)'=>'rcg',
'Compiled UIC source code (Geoworks UI Compiler)'=>'rdf',
'Device-independent bitmap file (RIFF RDIB format)'=>'rdi',
'Datafile (Reflex)'=>'rdx',
'Datafile (EpiInfo)'=>'rec',
'Record file (Sprint)'=>'rec',
'Recorded macro file (Windows 3.x)'=>'rec',
'Path info (Clarion Modula-2)'=>'red',
'Cross-reference'=>'ref',
'Ole Registration (Windows 3.x)'=>'reg',
'Registration (Corel programs)'=>'reg',
'Remarks'=>'rem',
'Qwk reader reply file'=>'rep',
'Report (Report Designer - CodeReporter - DataBoss)'=>'rep',
'Request'=>'req',
'Compiled resource (MS C/C++ - Borland C++)'=>'res',
'Dbase resources (dBASE IV)'=>'res',
'Revision file (Geoworks)'=>'rev',
'Rexx source code file'=>'rex',
'Report definition (Oracle)'=>'rex',
'Resource file'=>'rez',
'Sun raster graphics'=>'rf',
'Dca/RFT Revisable Format Text file (IBM DisplayWrite 4.0-5.1)'=>'rft',
'Sgi RGB image file (SDSC Image Tool)'=>'rgb',
'Symbol tables etc. info (ReaGeniX code generator)'=>'rgx',
'Resource header file (Borland C++ 4.5)'=>'rh',
'Data (Lotus 1-2-3)'=>'ri',
'Graphics in Renderman format (3DReality)'=>'rib',
'Fax (Ricoh)'=>'ric',
'Riff bitmap graphics (Fractal Design Painter)'=>'rif',
'Graphics (Remote Access)'=>'rip',
'Bitmap graphics (ColorRIX VGA Paint)'=>'rix',
'Bitmap graphics'=>'rl4',
'Bitmap graphics'=>'rl8',
'Wavefront raster image file (SDSC Image Tool)'=>'rla',
'Data (Harvard Graphics Win) hgw.rlb'=>'rlb',
'Graphics 1bit/pixel scanner output'=>'rlc',
'Utah Run Length Encoded raster graphic (SDSC Image Tool)'=>'rle',
'Realizer source code file (CA-Realizer)'=>'rlz',
'Midi file (RIFF RMID format)'=>'rmi',
'Makefile (Clipper RMake)'=>'rmk',
'Xpl program for Nota Bene users'=>'rn',
'Rendering Slide (AutoCAD AutoShade)'=>'rnd',
'Runoff file (VAX)'=>'rno',
'Fm music Adlib Music File (Roland)'=>'rol',
'Database (RapidFile)'=>'rpd',
'Text document (Replica)'=>'rpl',
'Report'=>'rpt',
'Data file (Amiga Resource - Reassembler)'=>'rs',
'Resource fork of a Macintosh file (Mac-ette)'=>'rs_',
'Resource file'=>'rsc',
'Response file'=>'rsp',
'Rich Text Format text file (many - Windows Word)'=>'rtf',
'Windows Help file script'=>'rtf',
'Run Time Library (NU 7.0)'=>'rtl',
'Text file'=>'rtl',
'Rtpatch software update package data file'=>'rtp',
'Runtime library file (CA-Realizer)'=>'rts',
'Review'=>'rvw',
'Resource Workshop data file (Borland C++)'=>'rws',
'Script (RenderWare)'=>'rwx',
'Assembly source code file (unix)'=>'s',
'Scheme source code file'=>'s',
'Temporary sort file (Sprint)'=>'s$$',
'Music (16 channels) (Scream Tracker 3.0)'=>'s3m',
'Datafile (SORITEC)'=>'sal',
'Text file (Samna - Lotus Ami/Ami Pro)'=>'sam',
'Compressed file archive created by SAR (sar1.zip)'=>'sar',
'Backup file (saved file)'=>'sav',
'Configuration'=>'sav',
'Saved game situation (eg. NetHack)'=>'sav',
'Audio file (signed byte)'=>'sb',
'Storyboard (Storyboard Editor)'=>'sbd',
'Sound Blaster Instrument file (Creative Labs)'=>'sbi',
'Dml program (Superbase 4)'=>'sbp',
'Support file (Source Browser)'=>'sbr',
'Notes related to record (Suberbase 4 Windows)'=>'sbt',
'Pal script (Paradox)'=>'sc',
'Display driver (Framework II)'=>'sc',
'Renamed dBASE III screen mask file (dBASE IV)'=>'sc3',
'Screen device driver (Harvard Graphics 3.0)'=>'sc3',
'Datafile (SCA)'=>'sca',
'Text file'=>'scc',
'Scodl Scan Conversion Object Description Language graphics'=>'scd',
'Multimedia show (ScoreMaker)'=>'scf',
'Spelling checker configuration (Symphony)'=>'scf',
'Project schedule (Schedule Publisher)'=>'sch',
'Schematics file (ORCAD)'=>'sch',
'System Configuration Information'=>'sci',
'Fax (SciFax)'=>'sci',
'Scheme source code file'=>'scm',
'Screen file (Kermit)'=>'scn',
'High score'=>'sco',
'Script (BITCOM)'=>'scp',
'Debug source code file (DOS Debug)'=>'scr',
'Screen - screen snapshot (dBASE IV - Procomm Plus)'=>'scr',
'Screen font (LocoScript)'=>'scr',
'Screen saver (Windows 3.x)'=>'scr',
'Script (Kermit - 1st Reader)'=>'scr',
'Screen memo (FoxPro)'=>'sct',
'Bitmap graphics (ColorRIX)'=>'scx',
'Chart (Stanford Chart)'=>'scx',
'Screen (FoxPro)'=>'scx',
'Security file (ReaGeniX)'=>'scy',
'Fidonett&#39;s Software Distribution Network file archivedescription'=>'sda',
'System Data Format file (fixed lenght ASCII text)'=>'sdf',
'Software Distribution Network Info file'=>'sdi',
'Software Distribution Network compressd file archive (pak251.exe)'=>'sdn',
'Self-Extracting compressed Macintosh file Archive'=>'sea',
'Secret key ring file (Pretty Good Privacy RSA System)'=>'sec',
'Secured animation file (Disney Animation Studio)'=>'sec',
'Printer separator page'=>'sep',
'Atari animation file'=>'seq',
'Sequential Instruction File (Bubble Chamber)'=>'seq',
'Session info (Clarion Modula-2)'=>'ses',
'Configuration (1st Reader)'=>'set',
'Driver sets created by Install (Symphony)'=>'set',
'Setup options file'=>'set',
'Ircam Sound File (CSound package - MixView sound sample editor)'=>'sf',
'Wps attribute storage (OS/2 WorkPlace Shell) wp_root.sf'=>'sf',
'Graphics (SIS Framegrabber)'=>'sfi',
'Printer font (HP LaserJet landscape) (Ventura Publisher)'=>'sfi',
'Pcl 4 bitmap font (landscape) (Intellifont) (Ventura Publisher)'=>'sfl',
'Font (SPX)'=>'sfn',
'Pcl 4 bitmap font (portrait) (Intellifont) (Ventura Publisher)'=>'sfp',
'Pcl 5 scalable font file (Intellifont)'=>'sfs',
'Screen font (ChiWriter)'=>'sft',
'Graphics (Stanford Graphics)'=>'sg1',
'Document with graphics (Starwriter)'=>'sgf',
'Graphics (IRIS - Silicon Graphics)'=>'sgi',
'Statistics (STATGRAPHICS Plus)'=>'sgp',
'Save/get keyboard macro (Signature)'=>'sgt',
'Unix shell script'=>'sh',
'Unix ASCII file archive created by SHAR (unshar.zip)'=>'sh',
'Presentation (Harvard Graphics 3.0)'=>'sh3',
'Background (CorelShow)'=>'shb',
'Segmented-graphics bitmap'=>'shg',
'Compressed Apple II file archive created by SHRINKIT'=>'shk',
'Shell macro (WordPerfect Library)'=>'shm',
'Shape file and source file for text fonts (AutoCAD)'=>'shp',
'Unix ASCII file archive created by SHAR (unshar.zip)'=>'shr',
'Scrap Object'=>'shs',
'Presentation (Harvard Graphics 2.0 - CorelShow)'=>'shw',
'Slide show (WordPerfect Presentations)'=>'shw',
'Shape entities (AutoCAD)'=>'shx',
'Setup Installation Files info (Windows NT Setup)'=>'sif',
'Current program settings (Signature)'=>'sig',
'Signature file (PopMail)'=>'sig',
'Backup file (Sicherungskopie) (MS Word)'=>'sik',
'Compressed Macintosh archive created by STUFFIT (unsit30.zip)'=>'sit',
'S-Lang source code file'=>'sl',
'Slide library (AutoCAD)'=>'slb',
'Compiled SALT script (Telix)'=>'slc',
'Slide (AutoCAD)'=>'sld',
'Slide (MAGICorp Slide Service)'=>'sli',
'Sylk Symbolic Link format data file (MultiPlan)'=>'slk',
'Sound data file'=>'sll',
'Salt Script Application Language for Telix script source (Telix)'=>'slt',
'Smalltalk source code file'=>'sm',
'Maillist (SoftSpoken Mailer)'=>'sm',
'Script (ScriptMaker)'=>'sm',
'Text file (Samna Word)'=>'sm',
'Fax (SMARTFAX)'=>'smf',
'Macro (Ami Pro)'=>'smm',
'Sample (sound file)'=>'smp',
'Text file (Smart Ware II)'=>'smt',
'Digitized sound file (Macintosh/ATARI/PC)'=>'snd',
'Song (midi sound) (Midisoft Studio - Prism)'=>'sng',
'Snobol4 source code file'=>'sno',
'Output video format from Computer Eyes equipment'=>'snp',
'Solution eg. game walkthroughs'=>'sol',
'Network serial numbers (Quattro Pro)'=>'som',
'Sort information (Paradox)'=>'som',
'Song (SBStudio II)'=>'son',
'Sound data (sound tool)'=>'sou',
'Compressed file archive created by SPLINT (unix)'=>'sp',
'Program (MS Multiplan)'=>'spc',
'Temporary file (WordPerfect for Win)'=>'spc',
'Scalable font (Speedo) (Harvard Graphics 3.0)'=>'spd',
'Slide presentation file (EnerGraphics)'=>'spf',
'Glossary (Sprint)'=>'spg',
'Graphics (Siemens and Philips scanner)'=>'spi',
'Compressed file archive created by SPLINT (splint.arc)'=>'spl',
'Customized printer driver (Sprint)'=>'spl',
'Personal spell dictionary (Signature)'=>'spl',
'Print spooling file (Windows 3.x)'=>'spl',
'Sample'=>'spl',
'Data (WordPerfect) wp{wp}.spm'=>'spm',
'Printer file (Sprint)'=>'spp',
'Document letter (Sprint)'=>'spr',
'Genarated screen program (FoxPro)'=>'spr',
'Sprite'=>'spr',
'Spssx source code file (VAX/VMS)'=>'sps',
'Screen driver (Sprint)'=>'sps',
'Spitbol source code file'=>'spt',
'Support file (MITAC disk/system management utility pack)'=>'spt',
'Worksheet (SigmaPlot)'=>'spw',
'Compiled screen program (FoxPro)'=>'spx',
'SQL report or query'=>'sql',
'Compressed file archive created by SQUEEZE (sqz1083e.exe)'=>'sqz',
'Source (DataFlex)'=>'src',
'Sun Raster File graphics'=>'srf',
'Script (QuickLink)'=>'srp',
'Bitmap graphics (Splash)'=>'ss',
'Datafile (SAS/PC)'=>'ssd',
'RealPlayer Standard Streaming Metafile'=>'ssm',
'Datafile (SAS Transport)'=>'ssp',
'Smalltalk source code file (Little Smalltalk)'=>'st',
'Instrument library (Scream Tracker)'=>'st',
'Stamp (NeoPaint)'=>'st',
'Saved state (Reflection 4.0)'=>'sta',
'Stack (Spinmaker Plus)'=>'sta',
'Stub library (Genus GX Kernel)'=>'stb',
'State Transition Diagram graphic file (Prosa)'=>'std',
'Standard (something..) (LocoScript)'=>'std',
'Compressed file archive created by SHRINKTOFIT'=>'stf',
'State Transition Diagram model file (Prosa)'=>'stm',
'Music (Scream Tracker)'=>'stm',
'Pascal stub OBJ file (Genus GX Kernel)'=>'sto',
'Structure list object file (dBASE Application Generator)'=>'str',
'Project status info (MS C/C++)'=>'sts',
'Song format (Scream Tracker)'=>'sts',
'Data file (SmartTerm for Windows)'=>'stw',
'Electronic book (SmarText)'=>'stx',
'Tax form (CA-Simply Tax)'=>'stx',
'Style library or sheet (many text and graphics programs)'=>'sty',
'Suit library (Simple User Interface Toolkit)'=>'sui',
'Summary'=>'sum',
'Sun rasterfile graphics'=>'sun',
'Supplementary dictionary (WordPerfect for Win)'=>'sup',
'Autosave file for document (MS Word)'=>'svd',
'Autosave file for glossary (MS Word)'=>'svg',
'Autosave file for style sheet (MS Word)'=>'svs',
'Audio file (signed word)'=>'sw',
'Swag packet (SWAG Reader)'=>'swg',
'Document backup (Sprint)'=>'swp',
'Swap file (DOS)'=>'swp',
'Smartpix symbol library (Ami Pro)'=>'sy1',
'Symbol file (Harvard Graphics 3.0)'=>'sy3',
'Backup of startup files created by QEMM (?) autoexec.syd'=>'syd',
'Precompiled headers (Borland C++)'=>'sym',
'Program symbol table (many compilers and linkers)'=>'sym',
'Symbol file (Harvard Graphics 2.0)'=>'sym',
'Sdsc Synu image file (SDSC Image Tool)'=>'syn',
'Synonym file (MS Word 5)'=>'syn',
'Datafile (SYGRAPH - SYSTAT - SPSS/PC)'=>'sys',
'System file - device driver or hardware configuration info (DOS)'=>'sys',
'Graphics symbols (Harvard Graphics Win)'=>'syw',
'Tads source'=>'t',
'Tape Archive (tar) without compression'=>'t',
'Tester symbol table (ReaGeniX code generator)'=>'t',
'Temporary file for Sort or Index (dBASE IV)'=>'t44',
'Program (C64S emulator)'=>'t64',
'Query tag name (DataFlex)'=>'tag',
'Turbo Assembler Help file (Borland C++)'=>'tah',
'Text illustration (TypeAlign)'=>'tal',
'Compressed file archive created by TAR (pax2exe.zoo)'=>'tar',
'Compressed ASCII file archive created by TAR and COMPRESS (.tar.Z)'=>'taz',
'Font file (Borland Turbo C)'=>'tb1',
'Font file (Borland Turbo C)'=>'tb2',
'Fax (Imavox TurboFax)'=>'tbf',
'Memo backup (dBASE IV - FoxPro)'=>'tbk',
'Toolbook (Asymetrix ToolBook)'=>'tbk',
'Graphics (native format) (PageMaker TableEditor)'=>'tbl',
'Table of values (OS/2)'=>'tbl',
'Text elements ?? (Textbausteine) (MS Word)'=>'tbs',
'Table (Project Scheduler 4)'=>'tbx',
'Configuration (Turbo C - Borland C++)'=>'tc',
'Turbo C Help file (Borland C++)'=>'tch',
'Tool Command Language source code (Swat)'=>'tcl',
'Drawing (TurboCAD for Windows)'=>'tcw',
'Configuration file (Turbo Debugger for DOS)'=>'td',
'Disk image file (Teledisk)'=>'td0',
'Configuration file (Turbo Debugger for Win32)'=>'td2',
'Database (TACT)'=>'tdb',
'Font (TheDraw)'=>'tdf',
'Typeface definition file (Speedo)'=>'tdf',
'Help file (Turbo Debugger)'=>'tdh',
'Keystroke recording file (Turbo Debugger)'=>'tdk',
'Symbol table (Turbo Debugger)'=>'tds',
'Configuration file (Turbo Debugger for Windows)'=>'tdw',
'Fax (Relisys TEFAX)'=>'tef',
'Host file (Telnet)'=>'tel',
'Turbo Editor Macro Language script (Borland C++)'=>'tem',
'Input template (IconAuthor)'=>'tem',
'Tex text file (Scientific Word)'=>'tex',
'Datasheet (Idealist)'=>'tex',
'Configuration (Turbo Profiler)'=>'tf',
'Area file (Turbo Profiler)'=>'tfa',
'Catalogue file (Tobii&#39;s Floppy Cataloguer)'=>'tfc',
'Help file (Turbo Profiler)'=>'tfh',
'Tex Font Metric file (TeX)'=>'tfm',
'Tagged font metric file (Intellifont)'=>'tfm',
'Statistics (Turbo Profiler)'=>'tfs',
'Project file (On Target)'=>'tg1',
'Truevision Targa bitmap graphics'=>'tga',
'Compressed file archive created by TAR and GNUzip (.tar.gz)'=>'tgz',
'Thesaurus dictionary (WordPerfect for Win)'=>'ths',
'Tagged Image File Format bitmap graphics (PageMaker - CorelDRAW)'=>'tif',
'Fuzzy logic knowledge base (Togai InfraLogic Fuzzy-C Compiler)'=>'til',
'Tile set (MahJongg 3.0)'=>'tis',
'Backup file (VAXTPU editor)'=>'tjl',
'Reference table (Bubble Chamber)'=>'tlb',
'Text library (VAX)'=>'tlb',
'Type library (Visual C++)'=>'tlb',
'Compiled Tool Command Language source code (Swat)'=>'tlc',
'Project (TimeLine)'=>'tlp',
'Tagged Font Metric file (WordPerfect for Win)'=>'tmf',
'Ztg global optimizer default output file (Zortech C++)'=>'tmo',
'Temporary file'=>'tmp',
'Script (Telemate)'=>'tms',
'Table Of Contents'=>'toc',
'Self-extracting file archive (Atari ST)'=>'tos',
'Configuration (Turbo Pascal)'=>'tp',
'Session-state file (Turbo Profiler)'=>'tp',
'Template (Harvard Graphics 3.0)'=>'tp3',
'Downloadable PCL Soft font file backup (HiJaak)'=>'tpb',
'Downloadable PCL Soft font file (HiJaak)'=>'tpf',
'Help file (Turbo Pascal)'=>'tph',
'Resident units library (Turbo Pascal)'=>'tpl',
'Template (Harvard Graphics 2.0)'=>'tpl',
'Protected Mode Units (Borland Pascal 7.0)'=>'tpp',
'Turbo Pascal Unit (BGI) (Turbo Pascal)'=>'tpu',
'Command file (VAXTPU editor)'=>'tpu',
'Session-state file (Turbo Profiler for Windows)'=>'tpw',
'Turbo Pascal Unit (BGI) (Turbo Pascal for Windows)'=>'tpw',
'Compressed file archive created by TAR and GNUzip (.tar.gz)'=>'tpz',
'Session-state settings (Turbo Debugger for DOS)'=>'tr',
'Man page input suitable for troff -man (cawf2.zip)'=>'tr',
'Session-state settings (Turbo Debugger for Win32)'=>'tr2',
'Debug support file (Power CTrace)'=>'trc',
'Directory tree file (PC-Tools)'=>'tre',
'Terminal settings (Windows 3.x)'=>'trm',
'Translation support file (Quattro)'=>'trn',
'Executable file (Micrografx)'=>'trs',
'Session-state settings (Turbo Debugger for Windows)'=>'trw',
'Printer test file (WordPerfect for Win)'=>'tst',
'Truetype Font file'=>'ttf',
'Tutorial'=>'tut',
'Table view settings (Paradox)'=>'tv',
'Overflow file above insert point in Doc 1 (WordPerfect for Win)'=>'tv1',
'Overflow file above insert point in Doc 2 (WordPerfect for Win)'=>'tv2',
'Overflow file above insert point in Doc 3 (WordPerfect for Win)'=>'tv3',
'Overflow file above insert point in Doc 4 (WordPerfect for Win)'=>'tv4',
'Overflow file above insert point in Doc 5 (WordPerfect for Win)'=>'tv5',
'Overflow file above insert point in Doc 6 (WordPerfect for Win)'=>'tv6',
'Overflow file above insert point in Doc 7 (WordPerfect for Win)'=>'tv7',
'Overflow file above insert point in Doc 8 (WordPerfect for Win)'=>'tv8',
'Overflow file above insert point in Doc 9 (WordPerfect for Win)'=>'tv9',
'Table view settings (dBASE)'=>'tvf',
'Compressed file archive created by TAR and FREEZE (.tar.f)'=>'txf',
'Support file (TeX)'=>'txi',
'Text file'=>'txt',
'Time Stamp (PageMaker 4)'=>'tym',
'Compressed file archive created by TAR and COMPRESS (.tar.Z)'=>'tz',
'Compressed file archive created by TAR - COMPRESS - BTOA
(.tar.Z.btoa)'=>'tzb',
'Audio file (unsigned byte)'=>'ub',
'Compressed file archive created by UltraCompressor II (uc2.zip)'=>'uc2',
'New compressed file archive created by UltraCompressor II'=>'ucn',
'Filter (Photostyler)'=>'udf',
'Encrypted file archive created by UltraCompressor II'=>'ue2',
'Universal Hint System (binary file)'=>'uhs',
'Espire source code file (Geoworks UI Compiler)'=>'ui',
'User interface (Sprint)'=>'ui',
'Long prompts for windows (WordPerfect for Win)'=>'uif',
'Espire header file (Geoworks UI Compiler)'=>'uih',
'Ulaw audio file'=>'ul',
'Information about uploaded files (Procomm Plus)'=>'uld',
'Music (UltraTracker)'=>'ult',
'Backup file (MemMaker)'=>'umb',
'Unimod music module (MIKMOD)'=>'uni',
'Datafile (Forecast Pro)'=>'uni',
'Text file containing UNIX specific info'=>'unx',
'Program update info'=>'upd',
'Update data (dBASE)'=>'upd',
'Compiled update data (dBASE)'=>'upo',
'Printer font with USASCII extended character set (PageMaker)'=>'usp',
'User database file (Procomm Plus - Turbo C++ tour)'=>'usr',
'Compressed ASCII file archive created by UUDE/ENCODE'=>'uu',
'Compressed ASCII file archive created by UUENCODE (uuexe515.exe)'=>'uue',
'Audio file (unsigned word)'=>'uw',
'Consistency check support file (ReaGeniX code generator)'=>'v',
'Main input file for an image (Vivid 2.0)'=>'v',
'Validity checks and referential integrity (Paradox for Windows)'=>'val',
'Values list object file (dBASE Application Generator)'=>'val',
'Animation (VistaPro)'=>'van',
'Variable file (IconAuthor)'=>'var',
'Visual Basic eXtension (Visual Basic)'=>'vbx',
'Include file with color definitions (Vivid 2.0)'=>'vc',
'Spreatsheet (VisiCalc)'=>'vc',
'VCard file'=>'vcf',
'Visual workbench information (MS Visual C++)'=>'vcw',
'Spreatsheet (VisiCalc Advanced)'=>'vcx',
'Bitmap graphics'=>'vda',
'Drawing (ComputerEasy Draw)'=>'vdr',
'View file (Clipper 5, Lotus Approach)'=>'vew',
'Voting Form (Voter)'=>'vfm',
'Voting Form for Customers (Voter)'=>'vfn',
'Vga display driver'=>'vga',
'Vga display font'=>'vga',
'Vga display driver (Generic CADD)'=>'vgd',
'Graphics (Ventura Publisher)'=>'vgr',
'Graphics (Jovian Logic VI)'=>'vi',
'Vicar graphics'=>'vic',
'Ms-DOS Shell Monitor file (MS-DOS 5)'=>'vid',
'Bitmap graphics (YUV12C M-Motion Frame Buffer)'=>'vid',
'Screen device driver (Word)'=>'vid',
'Khoros Visualization image file (SDSC Image Tool)'=>'vif',
'Viking graphics'=>'vik',
'Vis graphics'=>'vis',
'Virtual Memory file (Geoworks)'=>'vm',
'Virtual memory configuration (Acrobat reader)'=>'vmc',
'Font characteristics (Ventura Publisher)'=>'vmf',
'Text file containing VMS specific info'=>'vms',
'Include file with object definition (Vivid 2.0)'=>'vo',
'Digitized samples (Creative Voice file)'=>'voc',
'Object folder (VZ Programmer)'=>'vof',
'Graphics (VPGraphics)'=>'vpg',
'Overlay file (QuattroPro)'=>'vrm',
'Project (WATCOM VX?Rexx)'=>'vrp',
'Video Resource eg. video device driver (WordPerfect)'=>'vrs',
'Include file with surface definition (Vivid 2.0)'=>'vs',
'Diagram (Shapeware Visio)'=>'vsd',
'Simulation model (VisSim)'=>'vsm',
'Sprite (SPX)'=>'vsp',
'Smartshapes file (Shapeware Visio)'=>'vss',
'Truevision Vista bitmap graphics'=>'vst',
'Animation (3D Studio)'=>'vue',
'View (dBASE IV - FoxPro)'=>'vue',
'Text file (Volkswriter)'=>'vw',
'File viewer file (PC Tools)'=>'vwr',
'Virtual device driver (MS Windows)'=>'vxd',
'Word chart file (APPLAUSE)'=>'w',
'Printer font (AST TurboLaser) (Ventura Publisher)'=>'w30',
'Startup file (Windows 3.1)'=>'w31',
'Temporary file for Sort or Index (dBASE)'=>'w44',
'Outlook File'=>'wab',
'Doom Game File'=>'wad',
'Waveform audio file (RIFF WAVE format)'=>'wav',
'Notebook (Quattro Pro)'=>'wb1',
'Spreadsheet (Quattro Pro)'=>'wb2',
'Ms Windows Batch File (Catch)'=>'wbf',
'Document/workbook (WordPerfect for Win)'=>'wbk',
'Batch file (WinBatch)'=>'wbt',
'Macro token list (WordPerfect for Win)'=>'wcd',
'Data transmission file (MS Works)'=>'wcm',
'Macro (WordPerfect for Win)'=>'wcm',
'Product information description (WordPerfect for Win)'=>'wcp',
'Database (MS Works)'=>'wdb',
'Web source code file'=>'web',
'Form object (dBASE Form Designer)'=>'wfm',
'Font (CorelDRAW)'=>'wfn',
'Data file (Winfax)'=>'wfx',
'Worksheet (Lotus 1-2-3/G)'=>'wg1',
'Worksheet (Lotus 1-2-3 for OS/2)'=>'wg2',
'Width table (Ventura Publisher)'=>'wid',
'Window file (FoxPro - dBASE)'=>'win',
'Page wizard (MS Publisher)'=>'wiz',
'Spreadsheet (Lotus 1-2-3 version 2.x - Symphony 1.1+)'=>'wk1',
'Spreadsheet (Lotus 1-2-3 version 3.x)'=>'wk3',
'Spreadsheet (Lotus 1-2-3 version 3.4)'=>'wk4',
'Document (WordPerfect for Win)'=>'wkb',
'Spreatsheet (Lotus 1-2-3 educational version)'=>'wke',
'Spreatsheet (Quattro)'=>'wkq',
'Spreadsheet (Lotus 1-2-3 version 1A - Symphony 1.0 - MS Works)'=>'wks',
'Workspace (Xlisp)'=>'wks',
'Graphics (Virtus Walkthrough)'=>'wlk',
'Backup of startup files by Windows MathCad autoexec.wmc'=>'wmc',
'Macro file (WordPerfect for Win)'=>'wmc',
'Text file (WordMARC)'=>'wmc',
'Windows MetaFile vector graphics'=>'wmf',
'Text (NeXT WriteNow)'=>'wn',
'Outline font description (CorelDRAW native format)'=>'wnf',
'Swap file (Windows 3.x)'=>'woa',
'Organization (Windows OrgChart)'=>'woc',
'Music (8 channels) (Grave Mod Player)'=>'wow',
'Text file (WordPerfect 4.2)'=>'wp',
'Document (WordPerfect 5.x)'=>'wp5',
'Document (WordPerfect 6.0 - PFS:WindowWorks)'=>'wpd',
'Fax (WorldPort)'=>'wpf',
'Form (WordPerfect)'=>'wpf',
'Wordperfect Graphics vector graphics (DrawPerfect)'=>'wpg',
'Macros (WordPerfect for Win)'=>'wpk',
'Macros (WordPerfect)'=>'wpm',
'Text document (MS Works)'=>'wps',
'Compressed spreadsheet (Quattro Pro)'=>'wq!',
'Spreadsheet (Quattro Pro)'=>'wq1',
'Spreatsheet (Symphony 1.1 - 1.2 - 2)'=>'wr1',
'Template (Charisma)'=>'wrd',
'Text file (Windows Write)'=>'wri',
'Spreadsheet (Symphony 3.0)'=>'wrk',
'Compressed Amiga file archive created by WARP'=>'wrp',
'Windows Resource eg. printer driver (WordPerfect for Win)'=>'wrs',
'Text file (WordStar 5.0-6.0)'=>'ws',
'Text file (WordStar 2000)'=>'ws2',
'Document (WordStar)'=>'wsd',
'Workspace (Fortran PowerStation)'=>'wsp',
'Text file (WordStar)'=>'wst',
'Button bar for document window (WordPerfect for Win)'=>'wwb',
'Keyboard layout (WordPerfect for Win)'=>'wwk',
'Document (EXP for Windows)'=>'wxp',
'Avs X image file (SDSC Image Tool)'=>'x',
'Lex source code file'=>'x',
'Secondary index (Paradox)'=>'x01',
'Secondary index (Paradox)'=>'x02',
'Secondary index (Paradox)'=>'x03',
'Secondary index (Paradox)'=>'x04',
'Secondary index (Paradox)'=>'x05',
'Secondary index (Paradox)'=>'x06',
'Secondary index (Paradox)'=>'x07',
'Secondary index (Paradox)'=>'x08',
'Secondary index (Paradox)'=>'x09',
'X11 Bitmap graphics'=>'xbm',
'Printer font (Xerox 4045) (Ventura Publisher)'=>'xfn',
'24 pin printer font (ChiWriter)'=>'xft',
'Fax File (various)'=>'xfx',
'Fast Tracker 2 Instrument or ScreamTracker Instrument File'=>'xi',
'Wang Image File'=>'xif',
'Xlib Archive (xlibpas2.zip)'=>'xla',
'Add-in macro sheet (MS Excel)'=>'xla',
'Data (MS Excel)'=>'xlb',
'Chart document (MS Excel)'=>'xlc',
'Excel Dynamic Link Library (MS Excel)'=>'xll',
'Macro sheet (MS Excel)'=>'xlm',
'Worksheet (MS Excel)'=>'xls',
'Template (MS Excel)'=>'xlt',
'Translation table (Lotus 1-2-3 - Symphony - Procomm Plus)'=>'xlt',
'Workbook (MS Excel)'=>'xlw',
'Music (Fast Tracker)'=>'xm',
'Compressed eXtended MIdi music'=>'xmi',
'Standard Network File form'=>'xnf',
'X11 Pixel Map graphics'=>'xpm',
'Executable file (Waffle)'=>'xqt',
'Macro sheet (SuperCalc)'=>'xqt',
'Cross-reference file'=>'xrf',
'External translation table (LocoScript)'=>'xtb',
'X Window System window dump image graphics (SDSC Image Tool)'=>'xwd',
'Keyboard mapping (Crosstalk)'=>'xwk',
'Session (Crosstalk)'=>'xwp',
'Text file (Xerox Writer)'=>'xwp',
'Compressed file ASCII archive created by XXENCODE (uuexe515.exe)'=>'xx',
'Compressed file ASCII archive created by XXENCODE (uuexe515.exe)'=>'xxe',
'Text file (XY Write)'=>'xy',
'Text file (XYWrite III)'=>'xy3',
'Text file (XyWrite III)'=>'xyw',
'Yacc grammar file'=>'y',
'Compressed Amiga file archive created by YABBA'=>'y',
'Secondary index (Paradox)'=>'y01',
'Secondary index (Paradox)'=>'y02',
'Secondary index (Paradox)'=>'y03',
'Secondary index (Paradox)'=>'y04',
'Secondary index (Paradox)'=>'y05',
'Secondary index (Paradox)'=>'y06',
'Secondary index (Paradox)'=>'y07',
'Secondary index (Paradox)'=>'y08',
'Secondary index (Paradox)'=>'y09',
'Data (Arts & Letters)'=>'yal',
'Yuv graphics'=>'yuv',
'Compressed file archive created by YAC'=>'yz',
'Compressed file ASCII archive created by COMPRESS (comp430d.zip)'=>'z',
'Compressed file archive created by PACK (Unix SysV pack)'=>'z',
'Infocom game module'=>'z3',
'Compressed ZiffNet text document (Zview)'=>'zdg',
'Data file (Zerberus)'=>'zer',
'Graphics (Zenographics)'=>'zgm',
'Compressed file archive created by PKZIP (pkz204g.exe)'=>'zip',
'Compressed Amiga file archive created by ZOOM'=>'zom',
'Compressed file archive created by ZOO (zoo210.exe)'=>'zoo',
'Zyxel Voicefile (Z-Fax)'=>'zvd',
'Temporary file (1st Reader)'=>'~$~',
'Old AppExpert project database (Borland C++ 4.5)'=>'~ap',
'Project backup (Borland C++ 4.5)'=>'~de',
'Menu backup (Norton Commander)'=>'~mn',
"\201$\201"=>"Temporary file (1st Reader)"
);

if (is_string($nom) && ($nom == "tous")){
  return $exts;
} elseif (is_string($nom) && ($nom == "select")){
    if (func_num_args() >= 2){
         $sel_nom = func_get_arg(1);
     } else { $sel_nom = "";}
     if (func_num_args() >= 3){
        $checked = func_get_arg(2);
    } else { $checked = "";}
        $select = '<select name="'.$nom.'">';
    while(list($nom, $nb) = each($exts)){
    if ($nb == $checked){
        $select .= "<option value=\"$nb\" selected>$nom (.$nb)</option>\n";
    } else {
        $select .= "<option value=\"$nb\">$nom (.$nb)</option>\n";
    }
  }
  return $select .= '</select>';
} elseif (is_array($nom)){
  $retour = array();
  foreach ($nom as $n){
    $retour[$n] = file_exts($n);
  }
  return $retour;
 } elseif ( in_array(strtolower($nom), $exts) ){
    return preg_grep("/^".strtolower($nom)."$/i", $exts);
} else {
    $retour2 = preg_kgrep("/$nom/i", $exts);

    if (strlen($nom) < 4){
           $retour2 = preg_grep("/$nom/i", $exts);
    } else {
        $retour2 = array();
    }

    return array_merge($retour, $retour2);
  }
  return array();

}


/*-----------------------------------------------------------------*/

echo "<a href='../tools.php'>[Back]</a>";
echo "<form action='$PHP_SELF' method=post>";
echo "<b>$t/ </b><input type=text name=f value='$f'>";
echo "<input type=submit name=sub value='View'>";
echo "<input type=hidden name=t value='$t'><hr>";
echo "</form>";

if(isset($f) )
{
 echo "File : ".$t."/".$f."<br>";


 $arr= file_exts($t."/".$f);
 while ( list( $a, $b ) = each( $arr) )
 {
 echo  "<b>".$a." : </b>".$b."<br>" ;
 }

}
?>